/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2023-06-23 10:19:57Z
 *****************************************************************************/

#ifndef __RSNGX_ATTRIBUTES_HEADER
#define __RSNGX_ATTRIBUTES_HEADER

#include "rscore.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rsngx_logging_ReadCallback(ViSession          io,
                                    ViConstString      repCapName,
                                    RsCoreAttributePtr attr);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rsngx_logging_WriteCallback(ViSession          io,
                                     ViConstString      repCapName,
                                     RsCoreAttributePtr attr,
                                     void               *value);

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRangeTableDiscrete rsngx_rngRegisterGroup;
extern RsCoreRangeTableDiscrete rsngx_rngRegisterType;
extern RsCoreRangeTableDiscrete RsNgx_rngArbitraryEndpointBehavior;
extern RsCoreRangeTableRanged RsNgx_rngArbitraryRepetitionRate;
extern RsCoreRangeTableDiscrete RsNgx_rngTriggerMode;
extern RsCoreRangeTableRanged RsNgx_rngDisplayBrightness;
extern RsCoreRangeTableRanged RsNgx_rngChannel;
extern RsCoreRangeTableDiscrete RsNgx_rngLoggingMode;
extern RsCoreRangeTableRanged RsNgx_rngDelayDuration;
extern RsCoreRangeTableRanged RsNgx_rngFrontPanelKeyBrightness;
extern RsCoreRangeTableDiscrete RsNgx_rngTriggerSlope;
extern RsCoreRangeTableDiscrete RsNgx_rngLocation;
extern RsCoreRangeTableRanged RsNgx_rngDataLoggingCount;
extern RsCoreRangeTableDiscrete RsNgx_rngStorageLocation;
extern RsCoreRangeTableRanged RsNgx_rngDataLoggingInterval;
extern RsCoreRangeTableDiscrete RsNgx_rngMeasurementType;
extern RsCoreRangeTableRanged RsNgx_rngOCPDelay;
extern RsCoreRangeTableRanged RsNgx_rngOCPInitialDelay;
extern RsCoreRangeTableDiscrete RsNgx_rngOutputTriggeredBehavior;
extern RsCoreRangeTableDiscrete RsNgx_rngSelectVoltageRange;
extern RsCoreRangeTableDiscrete RsNgx_rngSelectCurrentRange;
extern RsCoreRangeTableRanged RsNgx_rngBatterySimulatorFullCapacity;
extern RsCoreRangeTableRanged RsNgx_rngBatterySimulatorStateOfCharge;
extern RsCoreRangeTableRanged RsNgx_rngBatterySimulatorISoC;
extern RsCoreRangeTableRanged RsNgx_rngBatterySimulatorModelCapacity;
extern RsCoreRangeTableRanged RsNgx_rngDigitalIOChannel;
extern RsCoreRangeTableDiscrete RsNgx_rngTriggerSource;
extern RsCoreRangeTableDiscrete RsNgx_rngTriggerDIOPin;
extern RsCoreRangeTableDiscrete RsNgx_rngTriggerOperationMode;
extern RsCoreRangeTableDiscrete RsNgx_rngOutputChannel;
extern RsCoreRangeTableDiscrete RsNgx_rngDigitalIOFaultMode;
extern RsCoreRangeTableDiscrete RsNgx_rngFastLogSampleRate;
extern RsCoreRangeTableDiscrete RsNgx_rngOutputMode;
extern RsCoreRangeTableDiscrete RsNgx_rngMeasurementStatisticsType;
extern RsCoreRangeTableDiscrete RsNgx_rngMeasurementMode;
extern RsCoreRangeTableDiscrete RsNgx_rngDigitalIOOutputSource;
extern RsCoreRangeTableRanged RsNgx_rngOCPUnlinkChannel;
extern RsCoreRangeTableDiscrete RsNgx_rngFastLogWriteTo;
extern RsCoreRangeTableDiscrete RsNgx_rngBatterySimulatorModelNamePartition;
extern RsCoreRangeTableRanged RsNgx_rngBatterySimulatorTransferModel;
extern RsCoreRangeTableDiscrete RsNgx_rngBatterySimulatorStatus;
extern RsCoreRangeTableDiscrete RsNgx_rngAnalogInputType;
extern RsCoreRangeTableDiscrete RsNgx_rngEnabled;
extern RsCoreRangeTableDiscrete RsNgx_rngRemoteSenseDetection;
extern RsCoreRangeTableRanged RsNgx_rngAnalogInputPin;
extern RsCoreRangeTableDiscrete RsNgx_rngDigitalTriggerIOLineMode;
extern RsCoreRangeTableRanged RsNgx_rngAnalogInputTriggerPin;
extern RsCoreRangeTableRanged RsNgx_rngArbitrarySelectedBlock;
extern RsCoreRangeTableRanged RsNgx_rngOCPFuseDelayTime;
extern RsCoreRangeTableRanged RsNgx_rngOCPFuseDelayAtOutputOn;
extern RsCoreRangeTableDiscrete RsNgx_rngDigitalIOTriggerDirection;
extern RsCoreRangeTableDiscrete RsNgx_rngDigitalIOTriggerLineChannel;
extern RsCoreRangeTableDiscrete RsNgx_rngDigitalIOTriggerLineLogic;
extern RsCoreRangeTableDiscrete RsNgx_rngRemoteSenseDetectionResponse;
extern RsCoreRangeTableDiscrete RsNgx_rngAnalogInputPinResponse;
extern RsCoreRangeTableRanged RsNgx_rngOCPFuseLink;
extern RsCoreRangeTableRanged RsNgx_rngOCPFuseUnlink;
extern RsCoreRangeTableDiscrete RsNgx_rngDigitalIOFaultSignal;
extern RsCoreRangeTableDiscrete RsNgx_rngFastLogTarget;
extern RsCoreRangeTableDiscrete RsNgx_rngEnergyCounterUnit;
extern RsCoreRangeTableDiscrete RsNgx_rngInterfaceUSBClass;
extern RsCoreRangeTableDiscrete RsNgx_rngSourcePriorityMode;
extern RsCoreRangeTableDiscrete RsNgx_rngVoltageCurrentNegative;
extern RsCoreRangeTableRanged RsNgx_rngBatteryModelCurrentLimitEndOfCharge;
extern RsCoreRangeTableRanged RsNgx_rngBatteryModelCurrentLimitEndOfDischarge;
extern RsCoreRangeTableRanged RsNgx_rngBatteryModelCurrentLimitRegularChargeLevel;
extern RsCoreRangeTableDiscrete RsNgx_rngArbitraryTriggerDIOPin;
extern RsCoreRangeTableDiscrete RsNgx_rngArbitraryPriorityMode;
extern RsCoreRangeTableRanged RsNgx_rngCurrentAutorangeMinimum;
extern RsCoreRangeTableDiscrete RsNgx_rngCurrentAutoRangeOverApproach;
extern RsCoreRangeTableRanged RsNgx_rngCurrentAutoRangeThreshold;
extern RsCoreRangeTableRanged RsNgx_rngCurrentAutoRangeLowerThreshold;
extern RsCoreRangeTableDiscrete RsNgx_rngOutputCapacitanceMode;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttribute g_RS_ATTR_RANGE_CHECK;
extern RsCoreAttribute g_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsCoreAttribute g_RS_ATTR_SIMULATE;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsCoreAttribute g_RS_ATTR_GROUP_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_CHANNEL_COUNT;
extern RsCoreAttribute g_RS_ATTR_DRIVER_SETUP;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MODEL;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPTIONS_LIST;
extern RsCoreAttribute g_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsCoreAttribute g_RS_ATTR_LOGICAL_NAME;
extern RsCoreAttribute g_RS_ATTR_PRIMARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_SECONDARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_ERROR_ELABORATION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPC_TIMEOUT;
extern RsCoreAttribute g_RSNGX_ATTR_SELECT_CHANNEL;
extern RsCoreAttribute g_RSNGX_ATTR_HIDDEN_READ_VOLTAGE_CURRENT_PAIR;
extern RsCoreAttribute g_RSNGX_ATTR_RESET_PROTECTION_TRIPPED_STATE;
extern RsCoreAttribute g_RSNGX_ATTR_RESET_VOLTAGE_TRIPPED_STATE;
extern RsCoreAttribute g_RSNGX_ATTR_VOLTAGE_TRIPPED_STATE;
extern RsCoreAttribute g_RSNGX_ATTR_SOURCE_PRIORITY_MODE;
extern RsCoreAttribute g_RSNGX_ATTR_MODULATION_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_MODULATION_GAIN;
extern RsCoreAttribute g_RSNGX_ATTR_MODULATION_GAIN_VALUE;
extern RsCoreAttribute g_RSNGX_ATTR_NUMBER_OF_POWER_LINE_CYCLES;
extern RsCoreAttribute g_RSNGX_ATTR_VOLTAGE_LEVEL;
extern RsCoreAttribute g_RSNGX_ATTR_VOLTAGE_LEVEL_UP;
extern RsCoreAttribute g_RSNGX_ATTR_VOLTAGE_LEVEL_DOWN;
extern RsCoreAttribute g_RSNGX_ATTR_VOLTAGE_STEP_SIZE;
extern RsCoreAttribute g_RSNGX_ATTR_VOLTAGE_RANGE;
extern RsCoreAttribute g_RSNGX_ATTR_VOLTAGE_SAFETY_LIMIT_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_VOLTAGE_SAFETY_LIMIT_LOWER;
extern RsCoreAttribute g_RSNGX_ATTR_VOLTAGE_SAFETY_LIMIT_UPPER;
extern RsCoreAttribute g_RSNGX_ATTR_VOLTAGE_CURRENT_NEGATIVE;
extern RsCoreAttribute g_RSNGX_ATTR_VOLTAGE_CURRENT_NEGATIVE_VALUE;
extern RsCoreAttribute g_RSNGX_ATTR_VOLTAGE_NEGATIVE;
extern RsCoreAttribute g_RSNGX_ATTR_VOLTAGE_NEGATIVE_VALUE;
extern RsCoreAttribute g_RSNGX_ATTR_CURRENT_LEVEL;
extern RsCoreAttribute g_RSNGX_ATTR_CURRENT_STEP_SIZE;
extern RsCoreAttribute g_RSNGX_ATTR_CURRENT_LEVEL_UP;
extern RsCoreAttribute g_RSNGX_ATTR_CURRENT_LEVEL_DOWN;
extern RsCoreAttribute g_RSNGX_ATTR_CURRENT_RANGE;
extern RsCoreAttribute g_RSNGX_ATTR_CURRENT_SAFETY_LIMIT_LOWER;
extern RsCoreAttribute g_RSNGX_ATTR_CURRENT_SAFETY_LIMIT_UPPER;
extern RsCoreAttribute g_RSNGX_ATTR_RESISTANCE_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_RESISTANCE_LEVEL;
extern RsCoreAttribute g_RSNGX_ATTR_OUTPUT_ALL_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_OUTPUT_SELECTED_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_OUTPUT_DELAY_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_OUTPUT_DELAY_DURATION;
extern RsCoreAttribute g_RSNGX_ATTR_OUTPUT_FAST_TRANSIENT_RESPONSE_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_OUTPUT_REDUCED_SLEW_RATE_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_OUTPUT_IMPEDANCE_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_OUTPUT_IMPEDANCE;
extern RsCoreAttribute g_RSNGX_ATTR_OUTPUT_CAPACITANCE_MODE;
extern RsCoreAttribute g_RSNGX_ATTR_OUTPUT_MODE;
extern RsCoreAttribute g_RSNGX_ATTR_OUTPUT_TRIGGER_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_OUTPUT_TRIGGERED_BEHAVIOR;
extern RsCoreAttribute g_RSNGX_ATTR_OUTPUT_REMOTE_SENSE_DETECTION;
extern RsCoreAttribute g_RSNGX_ATTR_OUTPUT_QUERY_REMOTE_SENSE_DETECTION;
extern RsCoreAttribute g_RSNGX_ATTR_DVM_MEASUREMENT_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_VOLTAGE_AUTORANGE_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_SELECT_VOLTAGE_RANGE;
extern RsCoreAttribute g_RSNGX_ATTR_CURRENT_AUTORANGE_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_CURRENT_AUTORANGE_MINIMUM;
extern RsCoreAttribute g_RSNGX_ATTR_CURRENT_AUTORANGE_OVER_APPROACH;
extern RsCoreAttribute g_RSNGX_ATTR_CURRENT_AUTORANGE_UPPER_THRESHOLD;
extern RsCoreAttribute g_RSNGX_ATTR_CURRENT_AUTORANGE_LOWER_THRESHOLD;
extern RsCoreAttribute g_RSNGX_ATTR_SELECT_CURRENT_RANGE;
extern RsCoreAttribute g_RSNGX_ATTR_OCP_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_OCP_RESET;
extern RsCoreAttribute g_RSNGX_ATTR_OCP_INITIAL_DELAY;
extern RsCoreAttribute g_RSNGX_ATTR_OCP_DELAY;
extern RsCoreAttribute g_RSNGX_ATTR_OCP_LINK;
extern RsCoreAttribute g_RSNGX_ATTR_OCP_UNLINK;
extern RsCoreAttribute g_RSNGX_ATTR_OCP_TRIPPED;
extern RsCoreAttribute g_RSNGX_ATTR_OCP_FUSE_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_OCP_FUSE_DELAY_TIME;
extern RsCoreAttribute g_RSNGX_ATTR_OCP_FUSE_DELAY_AT_OUTPUT_ON;
extern RsCoreAttribute g_RSNGX_ATTR_OCP_FUSE_LINK;
extern RsCoreAttribute g_RSNGX_ATTR_OCP_LINKED_FUSES_LIST;
extern RsCoreAttribute g_RSNGX_ATTR_OCP_FUSE_UNLINK;
extern RsCoreAttribute g_RSNGX_ATTR_OCP_FUSE_IS_TRIPPED;
extern RsCoreAttribute g_RSNGX_ATTR_OCP_FUSE_RESET;
extern RsCoreAttribute g_RSNGX_ATTR_OVP_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_OVP_RESET;
extern RsCoreAttribute g_RSNGX_ATTR_OVP_LEVEL;
extern RsCoreAttribute g_RSNGX_ATTR_OVP_TRIPPED;
extern RsCoreAttribute g_RSNGX_ATTR_OPP_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_OPP_RESET;
extern RsCoreAttribute g_RSNGX_ATTR_OPP_LEVEL;
extern RsCoreAttribute g_RSNGX_ATTR_OPP_TRIPPED;
extern RsCoreAttribute g_RSNGX_ATTR_TRACKING_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_TRACKING_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_TRACKING_CHANNEL_SOFT_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_MEAS_VOLTAGE;
extern RsCoreAttribute g_RSNGX_ATTR_MEAS_VOLTAGE_DVM;
extern RsCoreAttribute g_RSNGX_ATTR_MEASUREMENT_VOLTAGE_AVG;
extern RsCoreAttribute g_RSNGX_ATTR_MEASUREMENT_VOLTAGE_MAX;
extern RsCoreAttribute g_RSNGX_ATTR_MEASUREMENT_VOLTAGE_MIN;
extern RsCoreAttribute g_RSNGX_ATTR_MEAS_CURRENT;
extern RsCoreAttribute g_RSNGX_ATTR_MEASUREMENT_CURRENT_AVG;
extern RsCoreAttribute g_RSNGX_ATTR_MEASUREMENT_CURRENT_MAX;
extern RsCoreAttribute g_RSNGX_ATTR_MEASUREMENT_CURRENT_MIN;
extern RsCoreAttribute g_RSNGX_ATTR_MEAS_POWER;
extern RsCoreAttribute g_RSNGX_ATTR_MEASUREMENT_POWER_AVG;
extern RsCoreAttribute g_RSNGX_ATTR_MEASUREMENT_POWER_MAX;
extern RsCoreAttribute g_RSNGX_ATTR_MEASUREMENT_POWER_MIN;
extern RsCoreAttribute g_RSNGX_ATTR_MEAS_ENERGY;
extern RsCoreAttribute g_RSNGX_ATTR_MEASUREMENT_RESET_STATISTICS;
extern RsCoreAttribute g_RSNGX_ATTR_MEASUREMENT_COUNT;
extern RsCoreAttribute g_RSNGX_ATTR_MEAS_LOG_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_MEAS_LOG_MODE;
extern RsCoreAttribute g_RSNGX_ATTR_MEAS_LOG_COUNT;
extern RsCoreAttribute g_RSNGX_ATTR_MEAS_LOG_DURATION;
extern RsCoreAttribute g_RSNGX_ATTR_MEAS_LOG_INTERVAL;
extern RsCoreAttribute g_RSNGX_ATTR_LOG_LOCATION;
extern RsCoreAttribute g_RSNGX_ATTR_MEAS_LOG_TRIGGERED;
extern RsCoreAttribute g_RSNGX_ATTR_HIDDEN_LOG_DATA;
extern RsCoreAttribute g_RSNGX_ATTR_MEAS_LOG_DELETE;
extern RsCoreAttribute g_RSNGX_ATTR_MEAS_LOG_READ_DATA_CATALOG;
extern RsCoreAttribute g_RSNGX_ATTR_FAST_LOG_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_FAST_LOG_TRIGGERED;
extern RsCoreAttribute g_RSNGX_ATTR_FAST_LOG_WRITE_TO;
extern RsCoreAttribute g_RSNGX_ATTR_FAST_LOG_SAMPLE_RATE;
extern RsCoreAttribute g_RSNGX_ATTR_FAST_LOG_WRITE_DURATION;
extern RsCoreAttribute g_RSNGX_ATTR_FAST_LOG_PARTITION;
extern RsCoreAttribute g_RSNGX_ATTR_FAST_LOG_SAMPLE_TIME;
extern RsCoreAttribute g_RSNGX_ATTR_FAST_LOG_EXTERNAL_FILE_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_FAST_LOG_EXTERNAL_FILE_DURATION;
extern RsCoreAttribute g_RSNGX_ATTR_FAST_LOG_EXTERNAL_FILE_PARTITION;
extern RsCoreAttribute g_RSNGX_ATTR_FAST_LOG_TARGET;
extern RsCoreAttribute g_RSNGX_ATTR_MEAS_ENERGY_COUNTER_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_MEAS_ENERGY_COUNTER_RESET;
extern RsCoreAttribute g_RSNGX_ATTR_ENERGY_COUNTER_UNIT;
extern RsCoreAttribute g_RSNGX_ATTR_ARBITRARY_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_ARBITRARY_ENDPOINT_BEHAVIOR;
extern RsCoreAttribute g_RSNGX_ATTR_ARBITRARY_CLEAR;
extern RsCoreAttribute g_RSNGX_ATTR_ARBITRARY_PRIORITY_MODE;
extern RsCoreAttribute g_RSNGX_ATTR_HIDDEN_ARBITRARY_DATA;
extern RsCoreAttribute g_RSNGX_ATTR_ARBITRARY_REPETITION_RATE;
extern RsCoreAttribute g_RSNGX_ATTR_ARBITRARY_TRANSFER_TABLE;
extern RsCoreAttribute g_RSNGX_ATTR_ARBITRARY_TRIGGER_INPUT_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_ARBITRARY_TRIGGER_GROUP_CHANNEL;
extern RsCoreAttribute g_RSNGX_ATTR_ARBITRARY_TRIGGER_POINT_CHANNEL;
extern RsCoreAttribute g_RSNGX_ATTR_ARBITRARY_TRIGGER_MODE;
extern RsCoreAttribute g_RSNGX_ATTR_ARBITRARY_SAVE_TABLE;
extern RsCoreAttribute g_RSNGX_ATTR_ARBITRARY_LOAD_TABLE;
extern RsCoreAttribute g_RSNGX_ATTR_ARBITRARY_RESTORE;
extern RsCoreAttribute g_RSNGX_ATTR_ARBITRARY_START;
extern RsCoreAttribute g_RSNGX_ATTR_ARBITRARY_STOP;
extern RsCoreAttribute g_RSNGX_ATTR_ARBITRARY_BLOCK_SELECTED;
extern RsCoreAttribute g_RSNGX_ATTR_ARBITRARY_BLOCK_CLEAR_FILE;
extern RsCoreAttribute g_RSNGX_ATTR_ARBITRARY_BLOCK_REPETITION_RATE;
extern RsCoreAttribute g_RSNGX_ATTR_ARBITRARY_BLOCK_NUMBER_OF_DATA_POINTS;
extern RsCoreAttribute g_RSNGX_ATTR_ARBITRARY_SEQUENCE_CLEAR;
extern RsCoreAttribute g_RSNGX_ATTR_ARBITRARY_SEQUENCE_ENDPOINT_BEHAVIOR;
extern RsCoreAttribute g_RSNGX_ATTR_ARBITRARY_SEQUENCE_NUMBER_OF_POINTS;
extern RsCoreAttribute g_RSNGX_ATTR_ARBITRARY_SEQUENCE_TRANSFER_TABLE;
extern RsCoreAttribute g_RSNGX_ATTR_ARBITRARY_SEQUENCE_REPETITION_RATE;
extern RsCoreAttribute g_RSNGX_ATTR_RAMP_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_RAMP_DURATION;
extern RsCoreAttribute g_RSNGX_ATTR_ANALOG_INPUT_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_ANALOG_INPUT_TYPE;
extern RsCoreAttribute g_RSNGX_ATTR_ANALOG_INPUT_TRIGGERED_CONDITION_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_ANALOG_INPUT_TRIGGER_PIN;
extern RsCoreAttribute g_RSNGX_ATTR_QUERY_ANALOG_INPUT_TRIGGER_PIN;
extern RsCoreAttribute g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_STATE;
extern RsCoreAttribute g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_DATE;
extern RsCoreAttribute g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_COUNT;
extern RsCoreAttribute g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_START;
extern RsCoreAttribute g_RSNGX_ATTR_QUERY_ANALOG_IN_ADJUSTMENT_START;
extern RsCoreAttribute g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_VALUE;
extern RsCoreAttribute g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_HIGH_VOLTAGE;
extern RsCoreAttribute g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_LOW_VOLTAGE;
extern RsCoreAttribute g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_END;
extern RsCoreAttribute g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_CANCEL;
extern RsCoreAttribute g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_SAVE;
extern RsCoreAttribute g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_FACTORY_RESTORE;
extern RsCoreAttribute g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_STATE;
extern RsCoreAttribute g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_DATE;
extern RsCoreAttribute g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_COUNT;
extern RsCoreAttribute g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_TEMPERATURE;
extern RsCoreAttribute g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_START;
extern RsCoreAttribute g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_CURRENT_VALUE;
extern RsCoreAttribute g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_CURRENT_MAX;
extern RsCoreAttribute g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_CURRENT_MIN;
extern RsCoreAttribute g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_VOLTAGE_VALUE;
extern RsCoreAttribute g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_VOLTAGE_MAX;
extern RsCoreAttribute g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_VOLTAGE_MIN;
extern RsCoreAttribute g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_END;
extern RsCoreAttribute g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_CANCEL;
extern RsCoreAttribute g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_SAVE;
extern RsCoreAttribute g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_FACTORY_RESTORE;
extern RsCoreAttribute g_RSNGX_ATTR_DIGITAL_IO_FAULT_CHANNEL;
extern RsCoreAttribute g_RSNGX_ATTR_DIGITAL_IO_FAULT_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_DIGITAL_IO_FAULT_MODE;
extern RsCoreAttribute g_RSNGX_ATTR_DIGITAL_IO_FAULT_SIGNAL;
extern RsCoreAttribute g_RSNGX_ATTR_BATTERY_SIMULATOR_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_BATTERY_SIMULATOR_RESET_MODEL;
extern RsCoreAttribute g_RSNGX_ATTR_BATTERY_SIMULATOR_LOAD_MODEL;
extern RsCoreAttribute g_RSNGX_ATTR_BATTERY_SIMULATOR_SAVE_MODEL;
extern RsCoreAttribute g_RSNGX_ATTR_BATTERY_SIMULATOR_TRANSFER_MODEL;
extern RsCoreAttribute g_RSNGX_ATTR_BATTERY_SIMULATOR_INITIAL_SOC;
extern RsCoreAttribute g_RSNGX_ATTR_BATTERY_SIMULATOR_FULL_CAPACITY;
extern RsCoreAttribute g_RSNGX_ATTR_BATTERY_SIMULATOR_REMAINING_CAPACITY;
extern RsCoreAttribute g_RSNGX_ATTR_BATTERY_SIMULATOR_QUERY_STATUS;
extern RsCoreAttribute g_RSNGX_ATTR_BATTERY_SIMULATOR_CURRENT;
extern RsCoreAttribute g_RSNGX_ATTR_BATTERY_SIMULATOR_INTERNAL_RESISTANCE;
extern RsCoreAttribute g_RSNGX_ATTR_BATTERY_SIMULATOR_STATE_OF_CHARGE;
extern RsCoreAttribute g_RSNGX_ATTR_BATTERY_SIMULATOR_TERMINAL_VOLTAGE;
extern RsCoreAttribute g_RSNGX_ATTR_BATTERY_SIMULATOR_VOC_EMPTY;
extern RsCoreAttribute g_RSNGX_ATTR_BATTERY_SIMULATOR_VOC_FULL;
extern RsCoreAttribute g_RSNGX_ATTR_BATTERY_SIMULATOR_VOC;
extern RsCoreAttribute g_RSNGX_ATTR_BATTERY_SIMULATOR_MODEL_CAPACITY;
extern RsCoreAttribute g_RSNGX_ATTR_BATTERY_SIMULATOR_CURRENT_LIMIT;
extern RsCoreAttribute g_RSNGX_ATTR_BATTERY_SIMULATOR_CURRENT_LIMIT_END_OF_CHARGE;
extern RsCoreAttribute g_RSNGX_ATTR_BATTERY_SIMULATOR_CURRENT_LIMIT_END_OF_DISCHARGE;
extern RsCoreAttribute g_RSNGX_ATTR_BATTERY_SIMULATOR_CURRENT_LIMIT_REGULAR_CHARGE_LEVEL;
extern RsCoreAttribute g_RSNGX_ATTR_BATTERY_MODEL_CURRENT_LIMIT_END_OF_CHARGE;
extern RsCoreAttribute g_RSNGX_ATTR_BATTERY_MODEL_CURRENT_LIMIT_END_OF_DISCHARGE;
extern RsCoreAttribute g_RSNGX_ATTR_BATTERY_MODEL_CURRENT_LIMIT_REGULAR_CHARGE_LEVEL;
extern RsCoreAttribute g_RSNGX_ATTR_DISPLAY_BRIGHTNESS;
extern RsCoreAttribute g_RSNGX_ATTR_DISPLAY_FRONT_PANEL_KEY_BRIGHTNESS;
extern RsCoreAttribute g_RSNGX_ATTR_DISPLAY_CLEAR;
extern RsCoreAttribute g_RSNGX_ATTR_DISPLAY_TEXT;
extern RsCoreAttribute g_RSNGX_ATTR_TRIGGER_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSNGX_ATTR_TRIGGER_OUTPUT_CHANNEL;
extern RsCoreAttribute g_RSNGX_ATTR_TRIGGER_OPERATION_MODE;
extern RsCoreAttribute g_RSNGX_ATTR_TRIGGER_OPERATION_MODE_CHANNEL;
extern RsCoreAttribute g_RSNGX_ATTR_TRIGGER_DIO_PIN;
extern RsCoreAttribute g_RSNGX_ATTR_TRIGGER_DIO_CHANNEL;
extern RsCoreAttribute g_RSNGX_ATTR_TRIGGER_SLOPE;
extern RsCoreAttribute g_RSNGX_ATTR_TRIGGER_SEND_SOFTWARE_TRIGGER;
extern RsCoreAttribute g_RSNGX_ATTR_DIGITAL_IO_TRIGGER_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_DIGITAL_IO_TRIGGER_LINE_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_DIGITAL_IO_TRIGGER_LINE_DIRECTION;
extern RsCoreAttribute g_RSNGX_ATTR_HIDDEN_DIGITAL_IO_TRIGGER_LINE_MODE;
extern RsCoreAttribute g_RSNGX_ATTR_DIGITAL_IO_TRIGGER_LINE_CHANNEL;
extern RsCoreAttribute g_RSNGX_ATTR_DIGITAL_IO_TRIGGER_LINE_LOGIC;
extern RsCoreAttribute g_RSNGX_ATTR_DIGITAL_IO_TRIGGER_LINE_DIO_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_SAVE;
extern RsCoreAttribute g_RSNGX_ATTR_RECALL;
extern RsCoreAttribute g_RSNGX_ATTR_BEEPER_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_SOUND_CC_MODE_CONTINUOUS_BEEP_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_SOUND_PROTECTION_TRIPPED_BEEP_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_SOUND_BEEP;
extern RsCoreAttribute g_RSNGX_ATTR_SOUND_WARNING_BEEP_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_SOUND_WARNING_BEEP_IMMEDIATE;
extern RsCoreAttribute g_RSNGX_ATTR_SOUND_COMPLETE_BEEP_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_SOUND_COMPLETE_BEEP_IMMEDIATE;
extern RsCoreAttribute g_RSNGX_ATTR_SOUND_OUTPUT_BEEP_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_IMAGE_WIDTH;
extern RsCoreAttribute g_RSNGX_ATTR_IMAGE_HEIGHT;
extern RsCoreAttribute g_RSNGX_ATTR_SELF_TEST_QUERY;
extern RsCoreAttribute g_RSNGX_ATTR_SYSTEM_ERROR;
extern RsCoreAttribute g_RSNGX_ATTR_ID_QUERY_RESPONSE;
extern RsCoreAttribute g_RSNGX_ATTR_LOGGING;
extern RsCoreAttribute g_RSNGX_ATTR_SYSTEM_SAVE_SETTINGS_FILE;
extern RsCoreAttribute g_RSNGX_ATTR_SYSTEM_RESTART;
extern RsCoreAttribute g_RSNGX_ATTR_SYSTEM_UPTIME;
extern RsCoreAttribute g_RSNGX_ATTR_SYSTEM_LOCAL;
extern RsCoreAttribute g_RSNGX_ATTR_SYSTEM_REMOTE;
extern RsCoreAttribute g_RSNGX_ATTR_SYSTEM_RWLOCK;
extern RsCoreAttribute g_RSNGX_ATTR_SYSTEM_TOUCH_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_GPIB_INTERFACE_INFO;
extern RsCoreAttribute g_RSNGX_ATTR_AVAILABLE_SYSTEM_INTERFACE;
extern RsCoreAttribute g_RSNGX_ATTR_INTERFACE_USB_CLASS;
extern RsCoreAttribute g_RSNGX_ATTR_SOCKET_DHCP_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_SOCKET_IP_ADDRESS;
extern RsCoreAttribute g_RSNGX_ATTR_SOCKET_GATEWAY;
extern RsCoreAttribute g_RSNGX_ATTR_SOCKET_MASK;
extern RsCoreAttribute g_RSNGX_ATTR_SOCKET_APPLY;
extern RsCoreAttribute g_RSNGX_ATTR_SOCKET_DISCARD;
extern RsCoreAttribute g_RSNGX_ATTR_SOCKET_RESET;
extern RsCoreAttribute g_RSNGX_ATTR_LAN_DHCP_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_LAN_IP_ADDRESS;
extern RsCoreAttribute g_RSNGX_ATTR_LAN_MAC_ADDRESS;
extern RsCoreAttribute g_RSNGX_ATTR_LAN_HOSTNAME;
extern RsCoreAttribute g_RSNGX_ATTR_LAN_DEFAULT_GATEWAY;
extern RsCoreAttribute g_RSNGX_ATTR_LAN_EDITED_MODE;
extern RsCoreAttribute g_RSNGX_ATTR_LAN_MASK;
extern RsCoreAttribute g_RSNGX_ATTR_LAN_APPLY;
extern RsCoreAttribute g_RSNGX_ATTR_LAN_DISCARD;
extern RsCoreAttribute g_RSNGX_ATTR_LAN_RESET;
extern RsCoreAttribute g_RSNGX_ATTR_WLAN_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_WLAN_CONNECTION_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_WLAN_SSID;
extern RsCoreAttribute g_RSNGX_ATTR_WLAN_PASSWORD;
extern RsCoreAttribute g_RSNGX_ATTR_WLAN_DHCP_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_WLAN_IP_ADDRESS;
extern RsCoreAttribute g_RSNGX_ATTR_WLAN_GATEWAY;
extern RsCoreAttribute g_RSNGX_ATTR_WLAN_MASK;
extern RsCoreAttribute g_RSNGX_ATTR_WLAN_APPLY;
extern RsCoreAttribute g_RSNGX_ATTR_VNC_ENABLED;
extern RsCoreAttribute g_RSNGX_ATTR_VNC_PORT;
extern RsCoreAttribute g_RSNGX_ATTR_VNC_ENABLED_NGP;
extern RsCoreAttribute g_RSNGX_ATTR_VNC_PORT_NGP;

/*****************************************************************************
 *- Repeated Capabilities Table ---------------------------------------------*
 *****************************************************************************/
extern RsCoreRepCap rsngx_RsCoreRepCapTable[];
extern ViInt32 rsngx_RsCoreRepCapTableCount;

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttributePtr rsngx_RsCoreAttributeList[];
extern ViInt32 rsngx_RsCoreAttributeListLength;

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSNGX_ATTRIBUTES_HEADER */
