/*****************************************************************************
 *  Rohde&Schwarz NGx instrument driver
 *  Callbacks
 *
 *  Original Release: February 2019
 *  By: Martin Krcmar
 *
 *  Should you have any technical questions please contact the hotline of
 *  Rohde & Schwarz Vertriebs-GmbH Rohde & Schwarz Support Center
 *
 *  e-mail: CustomerSupport@rohde-schwarz.com
 *

 *****************************************************************************/

#include "rsngx.h"
#include "rsngx_utility.h"
#include <stdlib.h>

#include "time.h"
#if (defined(WIN32) || defined(_WIN32) || defined(__WIN32__) || defined(__NT__))
#define ANSI
#endif
#ifndef ANSI                /* UNIX compatible */
    #include <sys/timeb.h>
    #include <sys/types.h>
    #include <unistd.h>
    #define Sleep sleep
#else                       /* ANSI compatible */
#include <windows.h>
#endif


#pragma warning (disable:4100) // unreferenced formal parameter

/*****************************************************************************
 *------------------------ Global Session Callbacks -------------------------*
 *****************************************************************************/


/*****************************************************************************
 * Function: rsngx_logging_ReadCallback
 * Purpose:  This function overrides standard calback funtion. Returns value
 *           from cache
 *****************************************************************************/
ViStatus rsngx_logging_ReadCallback (ViSession io, ViConstString repCapName, RsCoreAttributePtr attr)
{
    return VI_SUCCESS;
}

/*****************************************************************************
 * Function: rsngx_logging_WriteCallback
 * Purpose:  This function overrides standard calback funtion.
 *****************************************************************************/
ViStatus rsngx_logging_WriteCallback (ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value)
{
    return VI_SUCCESS;
}
