/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this source file. It is generated from DrBase repository.
 *
 *  Built on: 2023-06-23 10:19:57Z
 *****************************************************************************/

#include "rsngx.h"
#include "rsngx_internal.h"

/*****************************************************************************
 *- Repeated Capabilities ---------------------------------------------------*
 *****************************************************************************/

ViInt32 rsngx_RsCoreRepCapTableCount = 2;

RsCoreRepCap rsngx_RsCoreRepCapTable[2] =
  { /*
    {
      repCapName  ... Repeated capability name, e.g. "Channel"
      identifiers ... Repeated capability identifiers (comma separated values), e.g. "Ch1,Ch2,Ch3"
      cmdValues   ... Command values (comma separated values), e.g. "1,2,3"
    } */
    {
      "Channel",
      "CH1,CH2,CH3,CH4",
      "1,2,3,4"
    }, {
      "Line",
      "L1,L2,L3,L4,L5,L6,L7,L8",
      "1,2,3,4,5,6,7,8"
    }
  };

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/

static RsCoreRangeTableDiscreteEntry rsngx_rngRegisterGroupEntries[6] =
  {
    { RSNGX_VAL_REGISTER_GROUP_OPER_INSTR, "OPER:INST" },
    { RSNGX_VAL_REGISTER_GROUP_QUES_INSTR, "QUES:INST" },
    { RSNGX_VAL_REGISTER_GROUP_OPER_INSTR_SUMMARY_CHAN_1, "OPER:INST:ISUM1" },
    { RSNGX_VAL_REGISTER_GROUP_OPER_INSTR_SUMMARY_CHAN_2, "OPER:INST:ISUM2" },
    { RSNGX_VAL_REGISTER_GROUP_QUES_INSTR_SUMMARY_CHAN_1, "QUES:INST:ISUM1" },
    { RSNGX_VAL_REGISTER_GROUP_QUES_INSTR_SUMMARY_CHAN_2, "QUES:INST:ISUM2" }
  };
RsCoreRangeTableDiscrete rsngx_rngRegisterGroup = { 6, rsngx_rngRegisterGroupEntries };

static RsCoreRangeTableDiscreteEntry rsngx_rngRegisterTypeEntries[5] =
  {
    { RSNGX_VAL_REGISTER_TYPE_COND, "COND" },
    { RSNGX_VAL_REGISTER_TYPE_EVEN, "EVEN" },
    { RSNGX_VAL_REGISTER_TYPE_ENAB, "ENAB" },
    { RSNGX_VAL_REGISTER_TYPE_PTR, "PTR" },
    { RSNGX_VAL_REGISTER_TYPE_NTR, "NTR" }
  };
RsCoreRangeTableDiscrete rsngx_rngRegisterType = { 5, rsngx_rngRegisterTypeEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngArbitraryEndpointBehaviorEntries[2] =
  {
    { RSNGX_VAL_ARB_END_BEHAVIOR_OFF, "OFF" },
    { RSNGX_VAL_ARB_END_BEHAVIOR_HOLD, "HOLD" }
  };
RsCoreRangeTableDiscrete RsNgx_rngArbitraryEndpointBehavior = { 2, RsNgx_rngArbitraryEndpointBehaviorEntries };

RsCoreRangeTableRanged RsNgx_rngArbitraryRepetitionRate = { 0, 65535, "" };

static RsCoreRangeTableDiscreteEntry RsNgx_rngTriggerModeEntries[2] =
  {
    { RSNGX_VAL_SINGLE, "SINGle" },
    { RSNGX_VAL_RUN, "RUN" }
  };
RsCoreRangeTableDiscrete RsNgx_rngTriggerMode = { 2, RsNgx_rngTriggerModeEntries };

RsCoreRangeTableRanged RsNgx_rngDisplayBrightness = { 0.1, 1, "" };

RsCoreRangeTableRanged RsNgx_rngChannel = { 1, 4, "" };

static RsCoreRangeTableDiscreteEntry RsNgx_rngLoggingModeEntries[4] =
  {
    { RSNGX_VAL_LOGGING_MODE_UNLIMITED, "UNLimited" },
    { RSNGX_VAL_LOGGING_MODE_COUNT, "COUNt" },
    { RSNGX_VAL_LOGGING_MODE_DURATION, "DURation" },
    { RSNGX_VAL_LOGGING_MODE_SPAN, "SPAN" }
  };
RsCoreRangeTableDiscrete RsNgx_rngLoggingMode = { 4, RsNgx_rngLoggingModeEntries };

RsCoreRangeTableRanged RsNgx_rngDelayDuration = { 0.001, 10.0, "s" };

RsCoreRangeTableRanged RsNgx_rngFrontPanelKeyBrightness = { 0.1, 1, "" };

static RsCoreRangeTableDiscreteEntry RsNgx_rngTriggerSlopeEntries[2] =
  {
    { RSNGX_VAL_POS, "POS" },
    { RSNGX_VAL_NEG, "NEG" }
  };
RsCoreRangeTableDiscrete RsNgx_rngTriggerSlope = { 2, RsNgx_rngTriggerSlopeEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngLocationEntries[3] =
  {
    { RSNGX_VAL_LOCATION_INT, "INT" },
    { RSNGX_VAL_LOCATION_EXT, "EXT" },
    { RSNGX_VAL_LOCATION_DEF, "DEF" }
  };
RsCoreRangeTableDiscrete RsNgx_rngLocation = { 3, RsNgx_rngLocationEntries };

RsCoreRangeTableRanged RsNgx_rngDataLoggingCount = { 1, 10000000, "" };

static RsCoreRangeTableDiscreteEntry RsNgx_rngStorageLocationEntries[3] =
  {
    { RSNGX_VAL_LOCATION_INT, "INT" },
    { RSNGX_VAL_LOCATION_EXT, "EXT" },
    { RSNGX_VAL_LOCATION_DEF, "DEF" }
  };
RsCoreRangeTableDiscrete RsNgx_rngStorageLocation = { 3, RsNgx_rngStorageLocationEntries };

RsCoreRangeTableRanged RsNgx_rngDataLoggingInterval = { 0.1, 600.0, "s" };

static RsCoreRangeTableDiscreteEntry RsNgx_rngMeasurementTypeEntries[4] =
  {
    { RSNGX_VAL_MEASURE_VOLTAGE, "VOLT" },
    { RSNGX_VAL_MEASURE_CURRENT, "CURR" },
    { RSNGX_VAL_MEASURE_POWER, "POW" },
    { RSNGX_VAL_MEASURE_ENERGY, "ENER" }
  };
RsCoreRangeTableDiscrete RsNgx_rngMeasurementType = { 4, RsNgx_rngMeasurementTypeEntries };

RsCoreRangeTableRanged RsNgx_rngOCPDelay = { 0, 10, "s" };

RsCoreRangeTableRanged RsNgx_rngOCPInitialDelay = { 0, 60, "s" };

static RsCoreRangeTableDiscreteEntry RsNgx_rngOutputTriggeredBehaviorEntries[3] =
  {
    { RSNGX_VAL_OUTPUT_TRIGGERED_BEHAVIOR_ON, "ON" },
    { RSNGX_VAL_OUTPUT_TRIGGERED_BEHAVIOR_OFF, "OFF" },
    { RSNGX_VAL_OUTPUT_TRIGGERED_BEHAVIOR_GATED, "GATed" }
  };
RsCoreRangeTableDiscrete RsNgx_rngOutputTriggeredBehavior = { 3, RsNgx_rngOutputTriggeredBehaviorEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngSelectVoltageRangeEntries[2] =
  {
    { RSNGX_VAL_VOLTAGE_RANGE_TWENTY, "2.005000E+01" },
    { RSNGX_VAL_VOLTAGE_RANGE_FIVE, "5.000000E+00" }
  };
RsCoreRangeTableDiscrete RsNgx_rngSelectVoltageRange = { 2, RsNgx_rngSelectVoltageRangeEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngSelectCurrentRangeEntries[4] =
  {
    { RSNGX_VAL_CURRENT_RANGE_10A, "1.000000E+01" },
    { RSNGX_VAL_CURRENT_RANGE_1A, "1.000000E+00" },
    { RSNGX_VAL_CURRENT_RANGE_100mA, "1.000000E-01" },
    { RSNGX_VAL_CURRENT_RANGE_10mA, "1.000000E-02" }
  };
RsCoreRangeTableDiscrete RsNgx_rngSelectCurrentRange = { 4, RsNgx_rngSelectCurrentRangeEntries };

RsCoreRangeTableRanged RsNgx_rngBatterySimulatorFullCapacity = { 1E-06, 100, "%" };

RsCoreRangeTableRanged RsNgx_rngBatterySimulatorStateOfCharge = { 0, 100, "%" };

RsCoreRangeTableRanged RsNgx_rngBatterySimulatorISoC = { 0, 100, "%" };

RsCoreRangeTableRanged RsNgx_rngBatterySimulatorModelCapacity = { 0, 100, "%" };

RsCoreRangeTableRanged RsNgx_rngDigitalIOChannel = { 1, 2, "" };

static RsCoreRangeTableDiscreteEntry RsNgx_rngTriggerSourceEntries[3] =
  {
    { RSNGX_VAL_TRIGGER_SOURCE_OUTPUT, "OUTPut" },
    { RSNGX_VAL_TRIGGER_SOURCE_OPERATION_MODES, "OMODe" },
    { RSNGX_VAL_TRIGGER_SOURCE_DIO, "DIO" }
  };
RsCoreRangeTableDiscrete RsNgx_rngTriggerSource = { 3, RsNgx_rngTriggerSourceEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngTriggerDIOPinEntries[2] =
  {
    { RSNGX_VAL_TRIGGER_DIO_PIN_IN, "IN" },
    { RSNGX_VAL_TRIGGER_DIO_PIN_EXT, "EXT" }
  };
RsCoreRangeTableDiscrete RsNgx_rngTriggerDIOPin = { 2, RsNgx_rngTriggerDIOPinEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngTriggerOperationModeEntries[5] =
  {
    { RSNGX_TRIGGER_OPERATION_MODE_CC, "CC" },
    { RSNGX_TRIGGER_OPERATION_MODE_CV, "CV" },
    { RSNGX_TRIGGER_OPERATION_MODE_CR, "CR" },
    { RSNGX_TRIGGER_OPERATION_MODE_SINK, "SINK" },
    { RSNGX_TRIGGER_OPERATION_MODE_PROTECTION, "PROTection" }
  };
RsCoreRangeTableDiscrete RsNgx_rngTriggerOperationMode = { 5, RsNgx_rngTriggerOperationModeEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngOutputChannelEntries[3] =
  {
    { RSNGX_VAL_CHANNEL_OUT1, "OUT1" },
    { RSNGX_VAL_CHANNEL_OUT2, "OUT2" },
    { RSNGX_VAL_CHANNEL_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete RsNgx_rngOutputChannel = { 3, RsNgx_rngOutputChannelEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngDigitalIOFaultModeEntries[6] =
  {
    { RSNGX_DIGITAL_IO_OPERATION_MODE_CC, "CC" },
    { RSNGX_DIGITAL_IO_OPERATION_MODE_CV, "CV" },
    { RSNGX_DIGITAL_IO_OPERATION_MODE_CR, "CR" },
    { RSNGX_DIGITAL_IO_OPERATION_MODE_SINK, "SINK" },
    { RSNGX_DIGITAL_IO_OPERATION_MODE_PROTECTION, "PROTection" },
    { RSNGX_DIGITAL_IO_OPERATION_MODE_OUTPUT, "OUTP" }
  };
RsCoreRangeTableDiscrete RsNgx_rngDigitalIOFaultMode = { 6, RsNgx_rngDigitalIOFaultModeEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngFastLogSampleRateEntries[6] =
  {
    { RSNGX_VAL_FAST_LOG_SAMPLE_RATE_500K, "S500k" },
    { RSNGX_VAL_FAST_LOG_SAMPLE_RATE_250K, "S250k" },
    { RSNGX_VAL_FAST_LOG_SAMPLE_RATE_50K, "S50k" },
    { RSNGX_VAL_FAST_LOG_SAMPLE_RATE_10K, "S10K" },
    { RSNGX_VAL_FAST_LOG_SAMPLE_RATE_1K, "S1k" },
    { RSNGX_VAL_FAST_LOG_SAMPLE_RATE_100, "S100" }
  };
RsCoreRangeTableDiscrete RsNgx_rngFastLogSampleRate = { 6, RsNgx_rngFastLogSampleRateEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngOutputModeEntries[3] =
  {
    { RSNGX_VAL_OUTPUT_MODE_AUTO, "AUTO" },
    { RSNGX_VAL_OUTPUT_MODE_SINK, "SINK" },
    { RSNGX_VAL_OUTPUT_MODE_SOURCE, "SOURce" }
  };
RsCoreRangeTableDiscrete RsNgx_rngOutputMode = { 3, RsNgx_rngOutputModeEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngMeasurementStatisticsTypeEntries[3] =
  {
    { RSNGX_VAL_AVG, "AVG" },
    { RSNGX_VAL_MIN, "MIN" },
    { RSNGX_VAL_MAX, "MAX" }
  };
RsCoreRangeTableDiscrete RsNgx_rngMeasurementStatisticsType = { 3, RsNgx_rngMeasurementStatisticsTypeEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngMeasurementModeEntries[3] =
  {
    { RSNGX_VAL_MEASURE_VOLTAGE, "VOLT" },
    { RSNGX_VAL_MEASURE_CURRENT, "CURR" },
    { RSNGX_VAL_MEASURE_POWER, "POW" }
  };
RsCoreRangeTableDiscrete RsNgx_rngMeasurementMode = { 3, RsNgx_rngMeasurementModeEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngDigitalIOOutputSourceEntries[3] =
  {
    { RSNGX_VAL_DIGITAL_IO_OUTPUT_SOURCE_OUTPUT, "OUTPut" },
    { RSNGX_VAL_DIGITAL_IO_OUTPUT_SOURCE_TRIGGERED, "TRIGger" },
    { RSNGX_VAL_DIGITAL_IO_OUTPUT_SOURCE_FORCED, "FORCed" }
  };
RsCoreRangeTableDiscrete RsNgx_rngDigitalIOOutputSource = { 3, RsNgx_rngDigitalIOOutputSourceEntries };

RsCoreRangeTableRanged RsNgx_rngOCPUnlinkChannel = { 1, 2, "" };

static RsCoreRangeTableDiscreteEntry RsNgx_rngFastLogWriteToEntries[2] =
  {
    { RSNGX_VAL_FAST_LOG_WRITE_TO_SCPI, "SCPI" },
    { RSNGX_VAL_FAST_LOG_WRITE_TO_USB, "USB" }
  };
RsCoreRangeTableDiscrete RsNgx_rngFastLogWriteTo = { 2, RsNgx_rngFastLogWriteToEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngBatterySimulatorModelNamePartitionEntries[3] =
  {
    { RSNGX_VAL_BATTERY_MODEL_NAME_PARTITION_INT, "INT" },
    { RSNGX_VAL_BATTERY_MODEL_NAME_PARTITION_EXT, "EXT" },
    { RSNGX_VAL_BATTERY_MODEL_NAME_PARTITION_DEF, "DEF" }
  };
RsCoreRangeTableDiscrete RsNgx_rngBatterySimulatorModelNamePartition = { 3, RsNgx_rngBatterySimulatorModelNamePartitionEntries };

RsCoreRangeTableRanged RsNgx_rngBatterySimulatorTransferModel = { 1, 2, "" };

static RsCoreRangeTableDiscreteEntry RsNgx_rngBatterySimulatorStatusEntries[3] =
  {
    { RSNGX_VAL_BATTERY_SIMULATOR_STATUS_IDLE, "IDLE" },
    { RSNGX_VAL_BATTERY_SIMULATOR_STATUS_CHAR, "CHAR" },
    { RSNGX_VAL_BATTERY_SIMULATOR_STATUS_DISC, "DISC" }
  };
RsCoreRangeTableDiscrete RsNgx_rngBatterySimulatorStatus = { 3, RsNgx_rngBatterySimulatorStatusEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngAnalogInputTypeEntries[2] =
  {
    { RSNGX_VAL_INPUT_VOLT, "VOLT" },
    { RSNGX_VAL_INPUT_CURR, "CURR" }
  };
RsCoreRangeTableDiscrete RsNgx_rngAnalogInputType = { 2, RsNgx_rngAnalogInputTypeEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngEnabledEntries[2] =
  {
    { RSNGX_VAL_DISABLED, "0" },
    { RSNGX_VAL_ENABLED, "1" }
  };
RsCoreRangeTableDiscrete RsNgx_rngEnabled = { 2, RsNgx_rngEnabledEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngRemoteSenseDetectionEntries[3] =
  {
    { RSNGX_VAL_REMOTE_SENSE_AUTO, "AUTO" },
    { RSNGX_VAL_REMOTE_SENSE_EXT, "EXT" },
    { RSNGX_VAL_REMOTE_SENSE_INT, "INT" }
  };
RsCoreRangeTableDiscrete RsNgx_rngRemoteSenseDetection = { 3, RsNgx_rngRemoteSenseDetectionEntries };

RsCoreRangeTableRanged RsNgx_rngAnalogInputPin = { 1, 4, "" };

static RsCoreRangeTableDiscreteEntry RsNgx_rngDigitalTriggerIOLineModeEntries[19] =
  {
    { RSNGX_VAL_DIGITAL_TRIGGER_MODE_OUTPUT, "OUTP" },
    { RSNGX_VAL_DIGITAL_TRIGGER_MODE_OVP, "OVP" },
    { RSNGX_VAL_DIGITAL_TRIGGER_MODE_FUSE, "FUSE" },
    { RSNGX_VAL_DIGITAL_TRIGGER_MODE_OTP, "OTP" },
    { RSNGX_VAL_DIGITAL_TRIGGER_MODE_OPP, "OPP" },
    { RSNGX_VAL_DIGITAL_TRIGGER_MODE_VMODE, "VMOD" },
    { RSNGX_VAL_DIGITAL_TRIGGER_MODE_CMODE, "CMOD" },
    { RSNGX_VAL_DIGITAL_TRIGGER_MODE_VLEVEL, "VLEV" },
    { RSNGX_VAL_DIGITAL_TRIGGER_MODE_ILEVEL, "ILEV" },
    { RSNGX_VAL_DIGITAL_TRIGGER_MODE_ENABLE, "ENAB" },
    { RSNGX_VAL_DIGITAL_TRIGGER_MODE_INHIBIT, "INH" },
    { RSNGX_VAL_DIGITAL_TRIGGER_MODE_ARB, "ARB" },
    { RSNGX_VAL_DIGITAL_TRIGGER_MODE_RAMP, "RAMP" },
    { RSNGX_VAL_DIGITAL_TRIGGER_MODE_ANINPUT, "ANIN" },
    { RSNGX_VAL_DIGITAL_TRIGGER_MODE_STATISTICS, "STAT" },
    { RSNGX_VAL_DIGITAL_TRIGGER_MODE_LOGGING, "LOG" },
    { RSNGX_VAL_DIGITAL_TRIGGER_MODE_PLEVEL, "PLEV" },
    { RSNGX_VAL_DIGITAL_TRIGGER_MODE_ARB_POINT, "ARBP" },
    { RSNGX_VAL_DIGITAL_TRIGGER_MODE_ARB_GROUP, "ARBG" }
  };
RsCoreRangeTableDiscrete RsNgx_rngDigitalTriggerIOLineMode = { 19, RsNgx_rngDigitalTriggerIOLineModeEntries };

RsCoreRangeTableRanged RsNgx_rngAnalogInputTriggerPin = { 1, 8, "" };

RsCoreRangeTableRanged RsNgx_rngArbitrarySelectedBlock = { 1, 8, "" };

RsCoreRangeTableRanged RsNgx_rngOCPFuseDelayTime = { 0, 10, "s" };

RsCoreRangeTableRanged RsNgx_rngOCPFuseDelayAtOutputOn = { 0, 60, "s" };

static RsCoreRangeTableDiscreteEntry RsNgx_rngDigitalIOTriggerDirectionEntries[2] =
  {
    { RSNGX_VAL_LINE_DIR_OUTPUT, "OUTPut" },
    { RSNGX_VAL_LINE_DIR_INPUT, "INPut" }
  };
RsCoreRangeTableDiscrete RsNgx_rngDigitalIOTriggerDirection = { 2, RsNgx_rngDigitalIOTriggerDirectionEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngDigitalIOTriggerLineChannelEntries[6] =
  {
    { RSNGX_VAL_TRIGGER_LINE_CHANNEL_ALL, "CHAL" },
    { RSNGX_VAL_TRIGGER_LINE_CHANNEL_CH1, "CH1" },
    { RSNGX_VAL_TRIGGER_LINE_CHANNEL_CH2, "CH2" },
    { RSNGX_VAL_TRIGGER_LINE_CHANNEL_CH3, "CH3" },
    { RSNGX_VAL_TRIGGER_LINE_CHANNEL_CH4, "CH4" },
    { RSNGX_VAL_TRIGGER_LINE_CHANNEL_NONE, "NONE" }
  };
RsCoreRangeTableDiscrete RsNgx_rngDigitalIOTriggerLineChannel = { 6, RsNgx_rngDigitalIOTriggerLineChannelEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngDigitalIOTriggerLineLogicEntries[2] =
  {
    { RSNGX_VAL_DIGITAL_TRIGGER_LINE_LOGIC_LOW, "LOW" },
    { RSNGX_VAL_DIGITAL_TRIGGER_LINE_LOGIC_HIGH, "HIGH" }
  };
RsCoreRangeTableDiscrete RsNgx_rngDigitalIOTriggerLineLogic = { 2, RsNgx_rngDigitalIOTriggerLineLogicEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngRemoteSenseDetectionResponseEntries[4] =
  {
    { RSNGX_VAL_REMOTE_SENSE_RESPONSE_AUTO_OFF, "AUTO,OFF" },
    { RSNGX_VAL_REMOTE_SENSE_RESPONSE_AUTO_ON, "AUTO,ON" },
    { RSNGX_VAL_REMOTE_SENSE_RESPONSE_EXT, "EXT" },
    { RSNGX_VAL_REMOTE_SENSE_RESPONSE_INT, "INT" }
  };
RsCoreRangeTableDiscrete RsNgx_rngRemoteSenseDetectionResponse = { 4, RsNgx_rngRemoteSenseDetectionResponseEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngAnalogInputPinResponseEntries[4] =
  {
    { RSNGX_VAL_ANALOG_INPUT_PIN_RESPONSE_OUT1, "OUT1" },
    { RSNGX_VAL_ANALOG_INPUT_PIN_RESPONSE_OUT2, "OUT2" },
    { RSNGX_VAL_ANALOG_INPUT_PIN_RESPONSE_OUT3, "OUT3" },
    { RSNGX_VAL_ANALOG_INPUT_PIN_RESPONSE_OUT4, "OUT4" }
  };
RsCoreRangeTableDiscrete RsNgx_rngAnalogInputPinResponse = { 4, RsNgx_rngAnalogInputPinResponseEntries };

RsCoreRangeTableRanged RsNgx_rngOCPFuseLink = { 1, 4, "" };

RsCoreRangeTableRanged RsNgx_rngOCPFuseUnlink = { 1, 4, "" };

static RsCoreRangeTableDiscreteEntry RsNgx_rngDigitalIOFaultSignalEntries[2] =
  {
    { RSNGX_VAL_DIO_FAULT_SIGNAL_CONS, "CONS" },
    { RSNGX_VAL_DIO_FAULT_SIGNAL_PULS, "PULS" }
  };
RsCoreRangeTableDiscrete RsNgx_rngDigitalIOFaultSignal = { 2, RsNgx_rngDigitalIOFaultSignalEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngFastLogTargetEntries[2] =
  {
    { RSNGX_VAL_FAST_LOG_TARGET_SCPI, "SCPI" },
    { RSNGX_VAL_FAST_LOG_TARGET_USB, "USB" }
  };
RsCoreRangeTableDiscrete RsNgx_rngFastLogTarget = { 2, RsNgx_rngFastLogTargetEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngEnergyCounterUnitEntries[2] =
  {
    { RSNGX_VAL_ENERGY_COUNTER_UNIT_WS, "WS" },
    { RSNGX_VAL_ENERGY_COUNTER_UNIT_WH, "WH" }
  };
RsCoreRangeTableDiscrete RsNgx_rngEnergyCounterUnit = { 2, RsNgx_rngEnergyCounterUnitEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngInterfaceUSBClassEntries[2] =
  {
    { RSNGX_VAL_INTERFACE_USB_CLASS_CDC, "CDC" },
    { RSNGX_VAL_INTERFACE_USB_CLASS_TMC, "TMC" }
  };
RsCoreRangeTableDiscrete RsNgx_rngInterfaceUSBClass = { 2, RsNgx_rngInterfaceUSBClassEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngSourcePriorityModeEntries[2] =
  {
    { RSNGX_VAL_SOURCE_PRIORITY_MODE_VOLT, "VOLT" },
    { RSNGX_VAL_SOURCE_PRIORITY_MODE_CURR, "CURR" }
  };
RsCoreRangeTableDiscrete RsNgx_rngSourcePriorityMode = { 2, RsNgx_rngSourcePriorityModeEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngVoltageCurrentNegativeEntries[4] =
  {
    { RSNGX_VAL_VOLTAGE_CURRENT_NEGATIVE_MIN, "MIN" },
    { RSNGX_VAL_VOLTAGE_CURRENT_NEGATIVE_MAX, "MAX" },
    { RSNGX_VAL_VOLTAGE_CURRENT_NEGATIVE_UP, "UP" },
    { RSNGX_VAL_VOLTAGE_CURRENT_NEGATIVE_DOWN, "DOWN" }
  };
RsCoreRangeTableDiscrete RsNgx_rngVoltageCurrentNegative = { 4, RsNgx_rngVoltageCurrentNegativeEntries };

RsCoreRangeTableRanged RsNgx_rngBatteryModelCurrentLimitEndOfCharge = { 0.001, RS_VAL_MAX_REAL64, "" };

RsCoreRangeTableRanged RsNgx_rngBatteryModelCurrentLimitEndOfDischarge = { 0.001, RS_VAL_MAX_REAL64, "" };

RsCoreRangeTableRanged RsNgx_rngBatteryModelCurrentLimitRegularChargeLevel = { 0.001, RS_VAL_MAX_REAL64, "" };

static RsCoreRangeTableDiscreteEntry RsNgx_rngArbitraryTriggerDIOPinEntries[9] =
  {
    { RSNGX_VAL_ARBITRARY_TRIGGER_DIO_PIN_OFF, "OFF" },
    { RSNGX_VAL_ARBITRARY_TRIGGER_DIO_PIN_1, "1" },
    { RSNGX_VAL_ARBITRARY_TRIGGER_DIO_PIN_2, "2" },
    { RSNGX_VAL_ARBITRARY_TRIGGER_DIO_PIN_3, "3" },
    { RSNGX_VAL_ARBITRARY_TRIGGER_DIO_PIN_4, "4" },
    { RSNGX_VAL_ARBITRARY_TRIGGER_DIO_PIN_5, "5" },
    { RSNGX_VAL_ARBITRARY_TRIGGER_DIO_PIN_6, "6" },
    { RSNGX_VAL_ARBITRARY_TRIGGER_DIO_PIN_7, "7" },
    { RSNGX_VAL_ARBITRARY_TRIGGER_DIO_PIN_8, "8" }
  };
RsCoreRangeTableDiscrete RsNgx_rngArbitraryTriggerDIOPin = { 9, RsNgx_rngArbitraryTriggerDIOPinEntries };

static RsCoreRangeTableDiscreteEntry RsNgx_rngArbitraryPriorityModeEntries[2] =
  {
    { RSNGX_VAL_ARBITRARY_PRIORITY_MODE_CPM, "CPM" },
    { RSNGX_VAL_ARBITRARY_PRIORITY_MODE_VPM, "VPM" }
  };
RsCoreRangeTableDiscrete RsNgx_rngArbitraryPriorityMode = { 2, RsNgx_rngArbitraryPriorityModeEntries };

RsCoreRangeTableRanged RsNgx_rngCurrentAutorangeMinimum = { 1e-5, 0.1, "A" };

static RsCoreRangeTableDiscreteEntry RsNgx_rngCurrentAutoRangeOverApproachEntries[3] =
  {
    { RSNGX_VAL_CURRENT_AUTO_RANGE_OVER_APPROACH_DEFAULT, "DEF" },
    { RSNGX_VAL_CURRENT_AUTO_RANGE_OVER_APPROACH_TOP, "TOP" },
    { RSNGX_VAL_CURRENT_AUTO_RANGE_OVER_APPROACH_STEP, "STEP" }
  };
RsCoreRangeTableDiscrete RsNgx_rngCurrentAutoRangeOverApproach = { 3, RsNgx_rngCurrentAutoRangeOverApproachEntries };

RsCoreRangeTableRanged RsNgx_rngCurrentAutoRangeThreshold = { 20e-6, 0.13, "s" };

RsCoreRangeTableRanged RsNgx_rngCurrentAutoRangeLowerThreshold = { 2e-6, 0.13, "s" };

static RsCoreRangeTableDiscreteEntry RsNgx_rngOutputCapacitanceModeEntries[3] =
  {
    { RSNGX_VAL_OUTPUT_CAPACITANCE_MODE_OFF, "OFF" },
    { RSNGX_VAL_OUTPUT_CAPACITANCE_MODE_LOW, "LOW" },
    { RSNGX_VAL_OUTPUT_CAPACITANCE_MODE_HIGH, "HIGH" }
  };
RsCoreRangeTableDiscrete RsNgx_rngOutputCapacitanceMode = { 3, RsNgx_rngOutputCapacitanceModeEntries };


/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/

RsCoreAttribute  g_RS_ATTR_RANGE_CHECK =
  {
    RS_ATTR_RANGE_CHECK,
    "Range Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_QUERY_INSTRUMENT_STATUS =
  {
    RS_ATTR_QUERY_INSTRUMENT_STATUS,
    "Query Instrument Status",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SIMULATE =
  {
    RS_ATTR_SIMULATE,
    "Simulate",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION =
  {
    RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    "Driver Description",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_PREFIX =
  {
    RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    "Driver Prefix",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    "Driver Locator",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_VENDOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    "Driver Vendor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_REVISION =
  {
    RS_ATTR_SPECIFIC_DRIVER_REVISION,
    "Driver Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    "Class Specification Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    "Class Specification Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS =
  {
    RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    "Supported Instrument Models",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_GROUP_CAPABILITIES =
  {
    RS_ATTR_GROUP_CAPABILITIES,
    "Class Group Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_FUNCTION_CAPABILITIES =
  {
    RS_ATTR_FUNCTION_CAPABILITIES,
    "Function Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CHANNEL_COUNT =
  {
    RS_ATTR_CHANNEL_COUNT,
    "Channel Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_DRIVER_SETUP =
  {
    RS_ATTR_DRIVER_SETUP,
    "Driver Setup",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MANUFACTURER =
  {
    RS_ATTR_INSTRUMENT_MANUFACTURER,
    "Instrument Manufacturer",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MODEL =
  {
    RS_ATTR_INSTRUMENT_MODEL,
    "Instrument Model",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION =
  {
    RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    "Instrument Firmware Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPTIONS_LIST =
  {
    RS_ATTR_OPTIONS_LIST,
    "Options List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_IO_RESOURCE_DESCRIPTOR =
  {
    RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    "Resource Descriptor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_LOGICAL_NAME =
  {
    RS_ATTR_LOGICAL_NAME,
    "Logical Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_PRIMARY_ERROR =
  {
    RS_ATTR_PRIMARY_ERROR,
    "Primary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SECONDARY_ERROR =
  {
    RS_ATTR_SECONDARY_ERROR,
    "Secondary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ERROR_ELABORATION =
  {
    RS_ATTR_ERROR_ELABORATION,
    "Error Elaboration",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    "Driver Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    "Driver Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    "Driver Minor Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    "Class Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    "Class Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MAJOR_VERSION =
  {
    RS_ATTR_ENGINE_MAJOR_VERSION,
    "Engine Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MINOR_VERSION =
  {
    RS_ATTR_ENGINE_MINOR_VERSION,
    "Engine Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_REVISION =
  {
    RS_ATTR_ENGINE_REVISION,
    "Engine Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPC_TIMEOUT =
  {
    RS_ATTR_OPC_TIMEOUT,
    "Operation Complete (OPC) Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SELECT_CHANNEL =
  {
    RSNGX_ATTR_SELECT_CHANNEL,
    "Select Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsNgx_rngChannel, NULL,
    "INST",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_HIDDEN_READ_VOLTAGE_CURRENT_PAIR =
  {
    RSNGX_ATTR_HIDDEN_READ_VOLTAGE_CURRENT_PAIR,
    "Hidden Read Voltage Current Pair",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "READ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1.001080E+00,1.004224E-02",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_RESET_PROTECTION_TRIPPED_STATE =
  {
    RSNGX_ATTR_RESET_PROTECTION_TRIPPED_STATE,
    "Reset Protection Tripped State",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "PROT:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_RESET_VOLTAGE_TRIPPED_STATE =
  {
    RSNGX_ATTR_RESET_VOLTAGE_TRIPPED_STATE,
    "Reset Voltage Tripped State",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "VOLT:SENS:TRIP:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_VOLTAGE_TRIPPED_STATE =
  {
    RSNGX_ATTR_VOLTAGE_TRIPPED_STATE,
    "Voltage Tripped State",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "VOLT:SENS:TRIP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SOURCE_PRIORITY_MODE =
  {
    RSNGX_ATTR_SOURCE_PRIORITY_MODE,
    "Source Priority Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngSourcePriorityMode, NULL, NULL,
    "SOUR:PRI",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_SOURCE_PRIORITY_MODE_VOLT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MODULATION_ENABLED =
  {
    RSNGX_ATTR_MODULATION_ENABLED,
    "Modulation Enabled",
    RS_VAL_WRITE_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MOD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MODULATION_GAIN =
  {
    RSNGX_ATTR_MODULATION_GAIN,
    "Modulation Gain",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngVoltageCurrentNegative, NULL, NULL,
    "MOD:GAIN",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_VOLTAGE_CURRENT_NEGATIVE_MIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MODULATION_GAIN_VALUE =
  {
    RSNGX_ATTR_MODULATION_GAIN_VALUE,
    "Modulation Gain Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MOD:GAIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_NUMBER_OF_POWER_LINE_CYCLES =
  {
    RSNGX_ATTR_NUMBER_OF_POWER_LINE_CYCLES,
    "Number Of Power Line Cycles",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "NPLC",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_VOLTAGE_LEVEL =
  {
    RSNGX_ATTR_VOLTAGE_LEVEL,
    "Voltage Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "VOLT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_VOLTAGE_LEVEL_UP =
  {
    RSNGX_ATTR_VOLTAGE_LEVEL_UP,
    "Voltage Level Up",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "VOLT UP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_VOLTAGE_LEVEL_DOWN =
  {
    RSNGX_ATTR_VOLTAGE_LEVEL_DOWN,
    "Voltage Level Down",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "VOLT DOWN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_VOLTAGE_STEP_SIZE =
  {
    RSNGX_ATTR_VOLTAGE_STEP_SIZE,
    "Voltage Step Size",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "VOLT:STEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_VOLTAGE_RANGE =
  {
    RSNGX_ATTR_VOLTAGE_RANGE,
    "Voltage Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "VOLT:RANG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_VOLTAGE_SAFETY_LIMIT_ENABLED =
  {
    RSNGX_ATTR_VOLTAGE_SAFETY_LIMIT_ENABLED,
    "Voltage Safety Limit Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ALIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_VOLTAGE_SAFETY_LIMIT_LOWER =
  {
    RSNGX_ATTR_VOLTAGE_SAFETY_LIMIT_LOWER,
    "Voltage Safety Limit Lower",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "VOLT:ALIM:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_VOLTAGE_SAFETY_LIMIT_UPPER =
  {
    RSNGX_ATTR_VOLTAGE_SAFETY_LIMIT_UPPER,
    "Voltage Safety Limit Upper",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "VOLT:ALIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20.05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_VOLTAGE_CURRENT_NEGATIVE =
  {
    RSNGX_ATTR_VOLTAGE_CURRENT_NEGATIVE,
    "Voltage Current Negative",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngVoltageCurrentNegative, NULL, NULL,
    "SOUR:CURR:NEG",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_VOLTAGE_CURRENT_NEGATIVE_MIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_VOLTAGE_CURRENT_NEGATIVE_VALUE =
  {
    RSNGX_ATTR_VOLTAGE_CURRENT_NEGATIVE_VALUE,
    "Voltage Current Negative Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR:CURR:NEG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_VOLTAGE_NEGATIVE =
  {
    RSNGX_ATTR_VOLTAGE_NEGATIVE,
    "Voltage Negative",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngVoltageCurrentNegative, NULL, NULL,
    "SOUR:VOLT:NEG",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_VOLTAGE_CURRENT_NEGATIVE_MIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_VOLTAGE_NEGATIVE_VALUE =
  {
    RSNGX_ATTR_VOLTAGE_NEGATIVE_VALUE,
    "Voltage Negative Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR:VOLT:NEG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CURRENT_LEVEL =
  {
    RSNGX_ATTR_CURRENT_LEVEL,
    "Current Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CURRENT_STEP_SIZE =
  {
    RSNGX_ATTR_CURRENT_STEP_SIZE,
    "Current Step Size",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURR:STEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CURRENT_LEVEL_UP =
  {
    RSNGX_ATTR_CURRENT_LEVEL_UP,
    "Current Level Up",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURR UP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CURRENT_LEVEL_DOWN =
  {
    RSNGX_ATTR_CURRENT_LEVEL_DOWN,
    "Current Level Down",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURR DOWN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CURRENT_RANGE =
  {
    RSNGX_ATTR_CURRENT_RANGE,
    "Current Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURR:RANG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    8,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CURRENT_SAFETY_LIMIT_LOWER =
  {
    RSNGX_ATTR_CURRENT_SAFETY_LIMIT_LOWER,
    "Current Safety Limit Lower",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURR:ALIM:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.001,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CURRENT_SAFETY_LIMIT_UPPER =
  {
    RSNGX_ATTR_CURRENT_SAFETY_LIMIT_UPPER,
    "Current Safety Limit Upper",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURR:ALIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    6.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_RESISTANCE_ENABLED =
  {
    RSNGX_ATTR_RESISTANCE_ENABLED,
    "Resistance Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "RES:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_RESISTANCE_LEVEL =
  {
    RSNGX_ATTR_RESISTANCE_LEVEL,
    "Resistance Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OUTPUT_ALL_ENABLED =
  {
    RSNGX_ATTR_OUTPUT_ALL_ENABLED,
    "Output All Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:GEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OUTPUT_ENABLED =
  {
    RSNGX_ATTR_OUTPUT_ENABLED,
    "Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OUTPUT_SELECTED_CHANNEL_ENABLED =
  {
    RSNGX_ATTR_OUTPUT_SELECTED_CHANNEL_ENABLED,
    "Output Selected Channel Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OUTPUT_DELAY_ENABLED =
  {
    RSNGX_ATTR_OUTPUT_DELAY_ENABLED,
    "Output Delay Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OUTPUT_DELAY_DURATION =
  {
    RSNGX_ATTR_OUTPUT_DELAY_DURATION,
    "Output Delay Duration",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsNgx_rngDelayDuration, NULL,
    "OUTP:DEL:DUR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.001,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OUTPUT_FAST_TRANSIENT_RESPONSE_ENABLED =
  {
    RSNGX_ATTR_OUTPUT_FAST_TRANSIENT_RESPONSE_ENABLED,
    "Output Fast Transient Response Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:FTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OUTPUT_REDUCED_SLEW_RATE_ENABLED =
  {
    RSNGX_ATTR_OUTPUT_REDUCED_SLEW_RATE_ENABLED,
    "Output Reduced Slew Rate Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:SRAT:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OUTPUT_IMPEDANCE_ENABLED =
  {
    RSNGX_ATTR_OUTPUT_IMPEDANCE_ENABLED,
    "Output Impedance Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:IMP:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OUTPUT_IMPEDANCE =
  {
    RSNGX_ATTR_OUTPUT_IMPEDANCE,
    "Output Impedance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "OUTP:IMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OUTPUT_CAPACITANCE_MODE =
  {
    RSNGX_ATTR_OUTPUT_CAPACITANCE_MODE,
    "Output Capacitance Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngOutputCapacitanceMode, NULL, NULL,
    "OUTP:MODE:CAP",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_OUTPUT_CAPACITANCE_MODE_LOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OUTPUT_MODE =
  {
    RSNGX_ATTR_OUTPUT_MODE,
    "Output Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngOutputMode, NULL, NULL,
    "OUTP:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_OUTPUT_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OUTPUT_TRIGGER_ENABLED =
  {
    RSNGX_ATTR_OUTPUT_TRIGGER_ENABLED,
    "Output Trigger Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:TRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OUTPUT_TRIGGERED_BEHAVIOR =
  {
    RSNGX_ATTR_OUTPUT_TRIGGERED_BEHAVIOR,
    "Output Triggered Behavior",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngOutputTriggeredBehavior, NULL, NULL,
    "OUTP:TRIG:BEH",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_OUTPUT_TRIGGERED_BEHAVIOR_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OUTPUT_REMOTE_SENSE_DETECTION =
  {
    RSNGX_ATTR_OUTPUT_REMOTE_SENSE_DETECTION,
    "Output Remote Sense Detection",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsNgx_rngRemoteSenseDetection, NULL, NULL,
    "VOLT:SENS",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_REMOTE_SENSE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OUTPUT_QUERY_REMOTE_SENSE_DETECTION =
  {
    RSNGX_ATTR_OUTPUT_QUERY_REMOTE_SENSE_DETECTION,
    "Query Output Remote Sense Detection",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsNgx_rngRemoteSenseDetectionResponse, NULL, NULL,
    "VOLT:SENS?",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_REMOTE_SENSE_RESPONSE_AUTO_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_DVM_MEASUREMENT_ENABLED =
  {
    RSNGX_ATTR_DVM_MEASUREMENT_ENABLED,
    "DVM Measurement Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "VOLT:DVM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_VOLTAGE_AUTORANGE_ENABLED =
  {
    RSNGX_ATTR_VOLTAGE_AUTORANGE_ENABLED,
    "Voltage Autorange Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS:VOLT:RANG:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SELECT_VOLTAGE_RANGE =
  {
    RSNGX_ATTR_SELECT_VOLTAGE_RANGE,
    "Select Voltage Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngSelectVoltageRange, NULL, NULL,
    "SENS:VOLT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_VOLTAGE_RANGE_TWENTY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CURRENT_AUTORANGE_ENABLED =
  {
    RSNGX_ATTR_CURRENT_AUTORANGE_ENABLED,
    "Current Autorange Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS:CURR:RANG:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CURRENT_AUTORANGE_MINIMUM =
  {
    RSNGX_ATTR_CURRENT_AUTORANGE_MINIMUM,
    "Current Autorange Minimum",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsNgx_rngCurrentAutorangeMinimum, NULL,
    "SENS:CURR:RANG:AUTO:DOWN:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CURRENT_AUTORANGE_OVER_APPROACH =
  {
    RSNGX_ATTR_CURRENT_AUTORANGE_OVER_APPROACH,
    "Current Autorange Over Approach",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngCurrentAutoRangeOverApproach, NULL, NULL,
    "SENS:CURR:RANG:AUTO:UP:APPR",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_CURRENT_AUTO_RANGE_OVER_APPROACH_TOP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CURRENT_AUTORANGE_UPPER_THRESHOLD =
  {
    RSNGX_ATTR_CURRENT_AUTORANGE_UPPER_THRESHOLD,
    "Current Autorange Upper Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsNgx_rngCurrentAutoRangeThreshold, NULL,
    "SENS:CURR:RANG:AUTO:UP:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CURRENT_AUTORANGE_LOWER_THRESHOLD =
  {
    RSNGX_ATTR_CURRENT_AUTORANGE_LOWER_THRESHOLD,
    "Current Autorange Lower Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsNgx_rngCurrentAutoRangeLowerThreshold, NULL,
    "SENS:CURR:RANG:AUTO:DOWN:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.5e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SELECT_CURRENT_RANGE =
  {
    RSNGX_ATTR_SELECT_CURRENT_RANGE,
    "Select Current Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngSelectCurrentRange, NULL, NULL,
    "SENS:CURR:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_CURRENT_RANGE_10A,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OCP_ENABLED =
  {
    RSNGX_ATTR_OCP_ENABLED,
    "OCP Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURR:PROT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OCP_RESET =
  {
    RSNGX_ATTR_OCP_RESET,
    "OCP Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURR:PROT:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OCP_INITIAL_DELAY =
  {
    RSNGX_ATTR_OCP_INITIAL_DELAY,
    "OCP Initial Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsNgx_rngOCPInitialDelay, NULL,
    "CURR:PROT:DEL:INIT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OCP_DELAY =
  {
    RSNGX_ATTR_OCP_DELAY,
    "OCP Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsNgx_rngOCPDelay, NULL,
    "CURR:PROT:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OCP_LINK =
  {
    RSNGX_ATTR_OCP_LINK,
    "OCP Link",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CURR:PROT:LINK",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OCP_UNLINK =
  {
    RSNGX_ATTR_OCP_UNLINK,
    "OCP Unlink",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, &RsNgx_rngOCPUnlinkChannel, NULL,
    "CURR:PROT:UNL",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OCP_TRIPPED =
  {
    RSNGX_ATTR_OCP_TRIPPED,
    "OCP Tripped",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURR:PROT:TRIP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OCP_FUSE_ENABLED =
  {
    RSNGX_ATTR_OCP_FUSE_ENABLED,
    "OCP Fuse Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngEnabled, NULL, NULL,
    "FUSE",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_ENABLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OCP_FUSE_DELAY_TIME =
  {
    RSNGX_ATTR_OCP_FUSE_DELAY_TIME,
    "OCP Fuse Delay Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsNgx_rngOCPFuseDelayTime, NULL,
    "FUSE:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OCP_FUSE_DELAY_AT_OUTPUT_ON =
  {
    RSNGX_ATTR_OCP_FUSE_DELAY_AT_OUTPUT_ON,
    "OCP Fuse Delay At Output-On",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsNgx_rngOCPFuseDelayAtOutputOn, NULL,
    "FUSE:DEL:INIT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OCP_FUSE_LINK =
  {
    RSNGX_ATTR_OCP_FUSE_LINK,
    "OCP Fuse Link",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, &RsNgx_rngOCPFuseLink, NULL,
    "FUSE:LINK",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OCP_LINKED_FUSES_LIST =
  {
    RSNGX_ATTR_OCP_LINKED_FUSES_LIST,
    "OCP Linked Fuses List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "FUSE:LINK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OCP_FUSE_UNLINK =
  {
    RSNGX_ATTR_OCP_FUSE_UNLINK,
    "OCP Fuse Unlink",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, &RsNgx_rngOCPFuseUnlink, NULL,
    "FUSE:UNL",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OCP_FUSE_IS_TRIPPED =
  {
    RSNGX_ATTR_OCP_FUSE_IS_TRIPPED,
    "OCP Fuse Is Tripped",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FUSE:TRIP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OCP_FUSE_RESET =
  {
    RSNGX_ATTR_OCP_FUSE_RESET,
    "OCP Fuse Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "FUSE:TRIP:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OVP_ENABLED =
  {
    RSNGX_ATTR_OVP_ENABLED,
    "OVP Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "VOLT:PROT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OVP_RESET =
  {
    RSNGX_ATTR_OVP_RESET,
    "OVP Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "VOLT:PROT:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OVP_LEVEL =
  {
    RSNGX_ATTR_OVP_LEVEL,
    "OVP Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "VOLT:PROT:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20.05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OVP_TRIPPED =
  {
    RSNGX_ATTR_OVP_TRIPPED,
    "OVP Tripped",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "VOLT:PROT:TRIP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OPP_ENABLED =
  {
    RSNGX_ATTR_OPP_ENABLED,
    "OPP Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:PROT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OPP_RESET =
  {
    RSNGX_ATTR_OPP_RESET,
    "OPP Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:PROT:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OPP_LEVEL =
  {
    RSNGX_ATTR_OPP_LEVEL,
    "OPP Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:PROT:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    60.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_OPP_TRIPPED =
  {
    RSNGX_ATTR_OPP_TRIPPED,
    "OPP Tripped",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:PROT:TRIP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_TRACKING_ENABLED =
  {
    RSNGX_ATTR_TRACKING_ENABLED,
    "Tracking Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngEnabled, NULL, NULL,
    "TRAC:GEN",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_DISABLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_TRACKING_CHANNEL_ENABLED =
  {
    RSNGX_ATTR_TRACKING_CHANNEL_ENABLED,
    "Tracking Channel Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngEnabled, NULL, NULL,
    "TRAC:CH{Channel}",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_DISABLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_TRACKING_CHANNEL_SOFT_ENABLED =
  {
    RSNGX_ATTR_TRACKING_CHANNEL_SOFT_ENABLED,
    "Tracking Channel Soft Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngEnabled, NULL, NULL,
    "TRAC:SEL:CH{Channel}",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_DISABLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEAS_VOLTAGE =
  {
    RSNGX_ATTR_MEAS_VOLTAGE,
    "Measurement Voltage",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEAS_VOLTAGE_DVM =
  {
    RSNGX_ATTR_MEAS_VOLTAGE_DVM,
    "Measurement Voltage DVM",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS:VOLT:DVM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEASUREMENT_VOLTAGE_AVG =
  {
    RSNGX_ATTR_MEASUREMENT_VOLTAGE_AVG,
    "Measurement Voltage Avg",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS:AVG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEASUREMENT_VOLTAGE_MAX =
  {
    RSNGX_ATTR_MEASUREMENT_VOLTAGE_MAX,
    "Measurement Voltage Max",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEASUREMENT_VOLTAGE_MIN =
  {
    RSNGX_ATTR_MEASUREMENT_VOLTAGE_MIN,
    "Measurement Voltage Min",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS:MIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEAS_CURRENT =
  {
    RSNGX_ATTR_MEAS_CURRENT,
    "Measurement Current",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS:CURR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEASUREMENT_CURRENT_AVG =
  {
    RSNGX_ATTR_MEASUREMENT_CURRENT_AVG,
    "Measurement Current Avg",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS:SCAL:CURR:DC:AVG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEASUREMENT_CURRENT_MAX =
  {
    RSNGX_ATTR_MEASUREMENT_CURRENT_MAX,
    "Measurement Current Max",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS:SCAL:CURR:DC:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEASUREMENT_CURRENT_MIN =
  {
    RSNGX_ATTR_MEASUREMENT_CURRENT_MIN,
    "Measurement Current Min",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS:SCAL:CURR:DC:MIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEAS_POWER =
  {
    RSNGX_ATTR_MEAS_POWER,
    "Measurement Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS:POW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEASUREMENT_POWER_AVG =
  {
    RSNGX_ATTR_MEASUREMENT_POWER_AVG,
    "Measurement Power Avg",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS:SCAL:POW:AVG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEASUREMENT_POWER_MAX =
  {
    RSNGX_ATTR_MEASUREMENT_POWER_MAX,
    "Measurement Power Max",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS:SCAL:POW:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEASUREMENT_POWER_MIN =
  {
    RSNGX_ATTR_MEASUREMENT_POWER_MIN,
    "Measurement Power Min",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS:SCAL:POW:MIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEAS_ENERGY =
  {
    RSNGX_ATTR_MEAS_ENERGY,
    "Measurement Energy",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS:ENER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEASUREMENT_RESET_STATISTICS =
  {
    RSNGX_ATTR_MEASUREMENT_RESET_STATISTICS,
    "Measurement Reset Statistics",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MEAS:STAT:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEASUREMENT_COUNT =
  {
    RSNGX_ATTR_MEASUREMENT_COUNT,
    "Measurement Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MEAS:STAT:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEAS_LOG_ENABLED =
  {
    RSNGX_ATTR_MEAS_LOG_ENABLED,
    "Log Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "LOG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEAS_LOG_MODE =
  {
    RSNGX_ATTR_MEAS_LOG_MODE,
    "Log Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngLoggingMode, NULL, NULL,
    "LOG:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_LOGGING_MODE_UNLIMITED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEAS_LOG_COUNT =
  {
    RSNGX_ATTR_MEAS_LOG_COUNT,
    "Log Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsNgx_rngDataLoggingCount, NULL,
    "LOG:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEAS_LOG_DURATION =
  {
    RSNGX_ATTR_MEAS_LOG_DURATION,
    "Log Duration",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LOG:DUR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEAS_LOG_INTERVAL =
  {
    RSNGX_ATTR_MEAS_LOG_INTERVAL,
    "Log Interval",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsNgx_rngDataLoggingInterval, NULL,
    "LOG:INT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_LOG_LOCATION =
  {
    RSNGX_ATTR_LOG_LOCATION,
    "Log Location",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngLocation, NULL, NULL,
    "LOG:LOC",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_LOCATION_DEF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEAS_LOG_TRIGGERED =
  {
    RSNGX_ATTR_MEAS_LOG_TRIGGERED,
    "Log Triggered",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "LOG:TRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_HIDDEN_LOG_DATA =
  {
    RSNGX_ATTR_HIDDEN_LOG_DATA,
    "Hidden Log Data",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "LOG:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEAS_LOG_DELETE =
  {
    RSNGX_ATTR_MEAS_LOG_DELETE,
    "Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DATA:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "My_Log_1.csv",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEAS_LOG_READ_DATA_CATALOG =
  {
    RSNGX_ATTR_MEAS_LOG_READ_DATA_CATALOG,
    "Read Data Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DATA:LIST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file.csv",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_FAST_LOG_ENABLED =
  {
    RSNGX_ATTR_FAST_LOG_ENABLED,
    "Fast Log Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FLOG{Channel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_FAST_LOG_TRIGGERED =
  {
    RSNGX_ATTR_FAST_LOG_TRIGGERED,
    "Fast Log Triggered",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FLOG{Channel}:TRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_FAST_LOG_WRITE_TO =
  {
    RSNGX_ATTR_FAST_LOG_WRITE_TO,
    "Fast Log Write To",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngFastLogWriteTo, NULL, NULL,
    "FLOG{Channel}:TARG",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_FAST_LOG_WRITE_TO_SCPI,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_FAST_LOG_SAMPLE_RATE =
  {
    RSNGX_ATTR_FAST_LOG_SAMPLE_RATE,
    "Fast Log Sample Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngFastLogSampleRate, NULL, NULL,
    "FLOG{Channel}:SRAT",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_FAST_LOG_SAMPLE_RATE_500K,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_FAST_LOG_WRITE_DURATION =
  {
    RSNGX_ATTR_FAST_LOG_WRITE_DURATION,
    "Fast Log Write Duration",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FLOG{Channel}:FILE:DUR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_FAST_LOG_PARTITION =
  {
    RSNGX_ATTR_FAST_LOG_PARTITION,
    "Fast Log Partition",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "FLOG{Channel}:FILE:TPAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "partition",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_FAST_LOG_SAMPLE_TIME =
  {
    RSNGX_ATTR_FAST_LOG_SAMPLE_TIME,
    "Fast Log Sample Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FLOG:STIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGL|NGM|NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_FAST_LOG_EXTERNAL_FILE_ENABLED =
  {
    RSNGX_ATTR_FAST_LOG_EXTERNAL_FILE_ENABLED,
    "Fast Log External File Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FLOG:WFIL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGL|NGM",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_FAST_LOG_EXTERNAL_FILE_DURATION =
  {
    RSNGX_ATTR_FAST_LOG_EXTERNAL_FILE_DURATION,
    "Fast Log External File Duration",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FLOG:WFIL:DUR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGL|NGM",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_FAST_LOG_EXTERNAL_FILE_PARTITION =
  {
    RSNGX_ATTR_FAST_LOG_EXTERNAL_FILE_PARTITION,
    "Fast Log External File Partition",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "FLOG:WFIL:TPAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/USB1A/NGM202",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGL|NGM",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_FAST_LOG_TARGET =
  {
    RSNGX_ATTR_FAST_LOG_TARGET,
    "Fast Log Target",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngFastLogTarget, NULL, NULL,
    "FLOG:TARG",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_FAST_LOG_TARGET_SCPI,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEAS_ENERGY_COUNTER_ENABLED =
  {
    RSNGX_ATTR_MEAS_ENERGY_COUNTER_ENABLED,
    "Energy Counter Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS:ENER:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_MEAS_ENERGY_COUNTER_RESET =
  {
    RSNGX_ATTR_MEAS_ENERGY_COUNTER_RESET,
    "Energy Counter Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MEAS:ENER:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ENERGY_COUNTER_UNIT =
  {
    RSNGX_ATTR_ENERGY_COUNTER_UNIT,
    "Energy Counter Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngEnergyCounterUnit, NULL, NULL,
    "MEAS:ENER:UNIT",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_ENERGY_COUNTER_UNIT_WS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ARBITRARY_ENABLED =
  {
    RSNGX_ATTR_ARBITRARY_ENABLED,
    "Arbitrary Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ARB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ARBITRARY_ENDPOINT_BEHAVIOR =
  {
    RSNGX_ATTR_ARBITRARY_ENDPOINT_BEHAVIOR,
    "Arbitrary Endpoint Behavior",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngArbitraryEndpointBehavior, NULL, NULL,
    "ARB:BEH:END",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_ARB_END_BEHAVIOR_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ARBITRARY_CLEAR =
  {
    RSNGX_ATTR_ARBITRARY_CLEAR,
    "Arbitrary Clear",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ARB:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ARBITRARY_PRIORITY_MODE =
  {
    RSNGX_ATTR_ARBITRARY_PRIORITY_MODE,
    "Arbitrary Priority Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngArbitraryPriorityMode, NULL, NULL,
    "ARB:PRI:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_ARBITRARY_PRIORITY_MODE_VPM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_HIDDEN_ARBITRARY_DATA =
  {
    RSNGX_ATTR_HIDDEN_ARBITRARY_DATA,
    "Hidden Arbitrary Data",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "ARB:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1.000000,1.000000,1.000000,1.000000,1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ARBITRARY_REPETITION_RATE =
  {
    RSNGX_ATTR_ARBITRARY_REPETITION_RATE,
    "Arbitrary Repetition Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsNgx_rngArbitraryRepetitionRate, NULL,
    "ARB:REP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ARBITRARY_TRANSFER_TABLE =
  {
    RSNGX_ATTR_ARBITRARY_TRANSFER_TABLE,
    "Arbitrary Transfer Table",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, &RsNgx_rngChannel, NULL,
    "ARB:TRAN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ARBITRARY_TRIGGER_INPUT_ENABLED =
  {
    RSNGX_ATTR_ARBITRARY_TRIGGER_INPUT_ENABLED,
    "Arbitrary Trigger Input Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ARB:TRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ARBITRARY_TRIGGER_GROUP_CHANNEL =
  {
    RSNGX_ATTR_ARBITRARY_TRIGGER_GROUP_CHANNEL,
    "Arbitrary Trigger Group Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngArbitraryTriggerDIOPin, NULL, NULL,
    "ARB:TRIG:GRO",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_ARBITRARY_TRIGGER_DIO_PIN_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ARBITRARY_TRIGGER_POINT_CHANNEL =
  {
    RSNGX_ATTR_ARBITRARY_TRIGGER_POINT_CHANNEL,
    "Arbitrary Trigger Point Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngArbitraryTriggerDIOPin, NULL, NULL,
    "ARB:TRIG:POIN",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_ARBITRARY_TRIGGER_DIO_PIN_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ARBITRARY_TRIGGER_MODE =
  {
    RSNGX_ATTR_ARBITRARY_TRIGGER_MODE,
    "Arbitrary Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngTriggerMode, NULL, NULL,
    "ARB:TRIG:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_RUN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ARBITRARY_SAVE_TABLE =
  {
    RSNGX_ATTR_ARBITRARY_SAVE_TABLE,
    "Arbitrary Save Table",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ARB:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ARBITRARY_LOAD_TABLE =
  {
    RSNGX_ATTR_ARBITRARY_LOAD_TABLE,
    "Arbitrary Load Table",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ARB:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ARBITRARY_RESTORE =
  {
    RSNGX_ATTR_ARBITRARY_RESTORE,
    "Arbitrary Restore",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ARB:REST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ARBITRARY_START =
  {
    RSNGX_ATTR_ARBITRARY_START,
    "Arbitrary Start",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ARB:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ARBITRARY_STOP =
  {
    RSNGX_ATTR_ARBITRARY_STOP,
    "Arbitrary Stop",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ARB:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ARBITRARY_BLOCK_SELECTED =
  {
    RSNGX_ATTR_ARBITRARY_BLOCK_SELECTED,
    "Arbitrary Block Selected",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsNgx_rngArbitrarySelectedBlock, NULL,
    "ARB:BLOC",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ARBITRARY_BLOCK_CLEAR_FILE =
  {
    RSNGX_ATTR_ARBITRARY_BLOCK_CLEAR_FILE,
    "Arbitrary Block Clear File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ARB:BLOC:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ARBITRARY_BLOCK_REPETITION_RATE =
  {
    RSNGX_ATTR_ARBITRARY_BLOCK_REPETITION_RATE,
    "Arbitrary Block Repetition Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsNgx_rngArbitraryRepetitionRate, NULL,
    "ARB:BLOC:REP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ARBITRARY_BLOCK_NUMBER_OF_DATA_POINTS =
  {
    RSNGX_ATTR_ARBITRARY_BLOCK_NUMBER_OF_DATA_POINTS,
    "Arbitrary Block Number Of Data Points",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "ARB:BLOC:ENDP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ARBITRARY_SEQUENCE_CLEAR =
  {
    RSNGX_ATTR_ARBITRARY_SEQUENCE_CLEAR,
    "Arbitrary Sequence Clear",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ARB:SEQ:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ARBITRARY_SEQUENCE_ENDPOINT_BEHAVIOR =
  {
    RSNGX_ATTR_ARBITRARY_SEQUENCE_ENDPOINT_BEHAVIOR,
    "Arbitrary Sequence Endpoint Behavior",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngArbitraryEndpointBehavior, NULL, NULL,
    "ARB:SEQ:BEH:END",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_ARB_END_BEHAVIOR_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ARBITRARY_SEQUENCE_NUMBER_OF_POINTS =
  {
    RSNGX_ATTR_ARBITRARY_SEQUENCE_NUMBER_OF_POINTS,
    "Arbitrary Sequence Number Of Points",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "ARB:SEQ:ENDP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ARBITRARY_SEQUENCE_TRANSFER_TABLE =
  {
    RSNGX_ATTR_ARBITRARY_SEQUENCE_TRANSFER_TABLE,
    "Arbitrary Sequence Transfer Table",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ARB:SEQ:TRAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ARBITRARY_SEQUENCE_REPETITION_RATE =
  {
    RSNGX_ATTR_ARBITRARY_SEQUENCE_REPETITION_RATE,
    "Arbitrary Sequence Repetition Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsNgx_rngArbitraryRepetitionRate, NULL,
    "ARB:SEQ:REP",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_RAMP_ENABLED =
  {
    RSNGX_ATTR_RAMP_ENABLED,
    "Ramp Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "VOLT:RAMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_RAMP_DURATION =
  {
    RSNGX_ATTR_RAMP_DURATION,
    "Ramp Duration",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "VOLT:RAMP:DUR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ANALOG_INPUT_ENABLED =
  {
    RSNGX_ATTR_ANALOG_INPUT_ENABLED,
    "Analog Input Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngEnabled, NULL, NULL,
    "VOLT:AINP",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_ENABLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    "K107",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ANALOG_INPUT_TYPE =
  {
    RSNGX_ATTR_ANALOG_INPUT_TYPE,
    "Analog Input Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngAnalogInputType, NULL, NULL,
    "VOLT:AINP:INP",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_INPUT_VOLT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    "K107",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ANALOG_INPUT_TRIGGERED_CONDITION_ENABLED =
  {
    RSNGX_ATTR_ANALOG_INPUT_TRIGGERED_CONDITION_ENABLED,
    "Analog Input Triggered Condition Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "VOLT:AINP:TRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    "K107",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ANALOG_INPUT_TRIGGER_PIN =
  {
    RSNGX_ATTR_ANALOG_INPUT_TRIGGER_PIN,
    "Analog Input Trigger",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, &RsNgx_rngAnalogInputTriggerPin, NULL,
    "VOLT:AINP:TRIG",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    "K107",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_QUERY_ANALOG_INPUT_TRIGGER_PIN =
  {
    RSNGX_ATTR_QUERY_ANALOG_INPUT_TRIGGER_PIN,
    "Query Analog Input Trigger Pin",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "VOLT:AINP:TRIG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    "K107",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_STATE =
  {
    RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_STATE,
    "Analog In Adjustment State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CAL:AINP:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    "K107",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_DATE =
  {
    RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_DATE,
    "Analog In Adjustment Date",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CAL:AINP:DATE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "15-03-20",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    "K107",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_COUNT =
  {
    RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_COUNT,
    "Analog In Adjustment Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CAL:AINP:COUN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_START =
  {
    RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_START,
    "Analog In Adjustment Start",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, &RsNgx_rngAnalogInputPin, NULL,
    "CAL:AINP:STAR",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    "K107",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_QUERY_ANALOG_IN_ADJUSTMENT_START =
  {
    RSNGX_ATTR_QUERY_ANALOG_IN_ADJUSTMENT_START,
    "Query Analog In Adjustment Start",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsNgx_rngAnalogInputPinResponse, NULL, NULL,
    "CAL:AINP:STAR?",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_ANALOG_INPUT_PIN_RESPONSE_OUT1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    "K107",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_VALUE =
  {
    RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_VALUE,
    "Analog In Adjustment Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CAL:AINP:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_HIGH_VOLTAGE =
  {
    RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_HIGH_VOLTAGE,
    "Analog In Adjustment High Voltage",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CAL:AINP:UMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    "K107",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_LOW_VOLTAGE =
  {
    RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_LOW_VOLTAGE,
    "Analog In Adjustment Low Voltage",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CAL:AINP:UMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    "K107",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_END =
  {
    RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_END,
    "Analog In Adjustment End",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CAL:AINP:END",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    "K107",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_CANCEL =
  {
    RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_CANCEL,
    "Analog In Adjustment Cancel",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CAL:AINP:CANC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    "K107",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_SAVE =
  {
    RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_SAVE,
    "Analog In Adjustment Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CAL:AINP:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    "K107",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_FACTORY_RESTORE =
  {
    RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_FACTORY_RESTORE,
    "Analog In Adjustment Factory Restore",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CAL:AINP:FACT:REST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    "K107",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_STATE =
  {
    RSNGX_ATTR_CHANNEL_ADJUSTMENT_STATE,
    "Channel Adjustment State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CAL:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_DATE =
  {
    RSNGX_ATTR_CHANNEL_ADJUSTMENT_DATE,
    "Channel Adjustment Date",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CAL:DATE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "20-03-2019",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_COUNT =
  {
    RSNGX_ATTR_CHANNEL_ADJUSTMENT_COUNT,
    "Channel Adjustment Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CAL:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_TEMPERATURE =
  {
    RSNGX_ATTR_CHANNEL_ADJUSTMENT_TEMPERATURE,
    "Channel Adjustment Temperature",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CAL:TEMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_START =
  {
    RSNGX_ATTR_CHANNEL_ADJUSTMENT_START,
    "Channel Adjustment Start",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CAL:USER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_CURRENT_VALUE =
  {
    RSNGX_ATTR_CHANNEL_ADJUSTMENT_CURRENT_VALUE,
    "Channel Adjustment Current Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CAL:CURR:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_CURRENT_MAX =
  {
    RSNGX_ATTR_CHANNEL_ADJUSTMENT_CURRENT_MAX,
    "Channel Adjustment Current Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CAL:CURR:IMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_CURRENT_MIN =
  {
    RSNGX_ATTR_CHANNEL_ADJUSTMENT_CURRENT_MIN,
    "Channel Adjustment Current Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CAL:CURR:IMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_VOLTAGE_VALUE =
  {
    RSNGX_ATTR_CHANNEL_ADJUSTMENT_VOLTAGE_VALUE,
    "Channel Adjustment Voltage Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CAL:VOLT:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_VOLTAGE_MAX =
  {
    RSNGX_ATTR_CHANNEL_ADJUSTMENT_VOLTAGE_MAX,
    "Channel Adjustment Voltage Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CAL:VOLT:UMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_VOLTAGE_MIN =
  {
    RSNGX_ATTR_CHANNEL_ADJUSTMENT_VOLTAGE_MIN,
    "Channel Adjustment Voltage Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CAL:VOLT:UMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_END =
  {
    RSNGX_ATTR_CHANNEL_ADJUSTMENT_END,
    "Channel Adjustment End",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CAL:END",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_CANCEL =
  {
    RSNGX_ATTR_CHANNEL_ADJUSTMENT_CANCEL,
    "Channel Adjustment Cancel",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CAL:CANC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_SAVE =
  {
    RSNGX_ATTR_CHANNEL_ADJUSTMENT_SAVE,
    "Channel Adjustment Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CAL:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_FACTORY_RESTORE =
  {
    RSNGX_ATTR_CHANNEL_ADJUSTMENT_FACTORY_RESTORE,
    "Channel Adjustment Factory Restore",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CAL:FACT:REST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_DIGITAL_IO_FAULT_CHANNEL =
  {
    RSNGX_ATTR_DIGITAL_IO_FAULT_CHANNEL,
    "Digital IO Fault Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsNgx_rngDigitalIOChannel, NULL,
    "DIO:FAUL:CHAN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_DIGITAL_IO_FAULT_ENABLED =
  {
    RSNGX_ATTR_DIGITAL_IO_FAULT_ENABLED,
    "Digital IO Fault Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DIO:FAUL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_DIGITAL_IO_FAULT_MODE =
  {
    RSNGX_ATTR_DIGITAL_IO_FAULT_MODE,
    "Digital IO Fault Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngDigitalIOFaultMode, NULL, NULL,
    "DIO:FAUL:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_DIGITAL_IO_OPERATION_MODE_CC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_DIGITAL_IO_FAULT_SIGNAL =
  {
    RSNGX_ATTR_DIGITAL_IO_FAULT_SIGNAL,
    "Digital IO Fault Signal",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngDigitalIOFaultSignal, NULL, NULL,
    "DIO:FAUL:SIGN",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_DIO_FAULT_SIGNAL_CONS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BATTERY_SIMULATOR_ENABLED =
  {
    RSNGX_ATTR_BATTERY_SIMULATOR_ENABLED,
    "Battery Simulator Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BATT:SIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BATTERY_SIMULATOR_RESET_MODEL =
  {
    RSNGX_ATTR_BATTERY_SIMULATOR_RESET_MODEL,
    "Battery Simulator Reset Model",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "BATT:MOD:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BATTERY_SIMULATOR_LOAD_MODEL =
  {
    RSNGX_ATTR_BATTERY_SIMULATOR_LOAD_MODEL,
    "Battery Simulator Load Model",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "BATT:MOD:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BATTERY_SIMULATOR_SAVE_MODEL =
  {
    RSNGX_ATTR_BATTERY_SIMULATOR_SAVE_MODEL,
    "Battery Simulator Save Model",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "BATT:MOD:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BATTERY_SIMULATOR_TRANSFER_MODEL =
  {
    RSNGX_ATTR_BATTERY_SIMULATOR_TRANSFER_MODEL,
    "Battery Simulator Transfer Model",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, &RsNgx_rngBatterySimulatorTransferModel, NULL,
    "BATT:MOD:TRAN",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BATTERY_SIMULATOR_INITIAL_SOC =
  {
    RSNGX_ATTR_BATTERY_SIMULATOR_INITIAL_SOC,
    "Battery Simulator Initial SoC",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsNgx_rngBatterySimulatorISoC, NULL,
    "BATT:MOD:ISOC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BATTERY_SIMULATOR_FULL_CAPACITY =
  {
    RSNGX_ATTR_BATTERY_SIMULATOR_FULL_CAPACITY,
    "Battery Simulator Full Capacity",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsNgx_rngBatterySimulatorFullCapacity, NULL,
    "BATT:SIM:CAP:LIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BATTERY_SIMULATOR_REMAINING_CAPACITY =
  {
    RSNGX_ATTR_BATTERY_SIMULATOR_REMAINING_CAPACITY,
    "Battery Simulator Remaining Capacity",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BATT:SIM:CAP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BATTERY_SIMULATOR_QUERY_STATUS =
  {
    RSNGX_ATTR_BATTERY_SIMULATOR_QUERY_STATUS,
    "Battery Simulator Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsNgx_rngBatterySimulatorStatus, NULL, NULL,
    "BATT:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_BATTERY_SIMULATOR_STATUS_IDLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BATTERY_SIMULATOR_CURRENT =
  {
    RSNGX_ATTR_BATTERY_SIMULATOR_CURRENT,
    "Battery Simulator Current",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BATT:SIM:CURR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BATTERY_SIMULATOR_INTERNAL_RESISTANCE =
  {
    RSNGX_ATTR_BATTERY_SIMULATOR_INTERNAL_RESISTANCE,
    "Battery Simulator Internal Resistance",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BATT:SIM:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BATTERY_SIMULATOR_STATE_OF_CHARGE =
  {
    RSNGX_ATTR_BATTERY_SIMULATOR_STATE_OF_CHARGE,
    "Battery Simulator State of Charge",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsNgx_rngBatterySimulatorStateOfCharge, NULL,
    "BATT:SIM:SOC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BATTERY_SIMULATOR_TERMINAL_VOLTAGE =
  {
    RSNGX_ATTR_BATTERY_SIMULATOR_TERMINAL_VOLTAGE,
    "Battery Simulator Terminal Voltage",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BATT:SIM:TVOL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BATTERY_SIMULATOR_VOC_EMPTY =
  {
    RSNGX_ATTR_BATTERY_SIMULATOR_VOC_EMPTY,
    "Battery Simulator VOC Empty",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BATT:SIM:VOC:EMPT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BATTERY_SIMULATOR_VOC_FULL =
  {
    RSNGX_ATTR_BATTERY_SIMULATOR_VOC_FULL,
    "Battery Simulator VOC Full",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BATT:SIM:VOC:FULL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BATTERY_SIMULATOR_VOC =
  {
    RSNGX_ATTR_BATTERY_SIMULATOR_VOC,
    "Battery Simulator VOC",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BATT:SIM:VOC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BATTERY_SIMULATOR_MODEL_CAPACITY =
  {
    RSNGX_ATTR_BATTERY_SIMULATOR_MODEL_CAPACITY,
    "Battery Simulator Model Capacity",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsNgx_rngBatterySimulatorModelCapacity, NULL,
    "BATT:MOD:CAP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BATTERY_SIMULATOR_CURRENT_LIMIT =
  {
    RSNGX_ATTR_BATTERY_SIMULATOR_CURRENT_LIMIT,
    "Battery Simulator Current Limit",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BATT:SIM:CURR:LIM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BATTERY_SIMULATOR_CURRENT_LIMIT_END_OF_CHARGE =
  {
    RSNGX_ATTR_BATTERY_SIMULATOR_CURRENT_LIMIT_END_OF_CHARGE,
    "Battery Simulator Current Limit End Of Charge",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BATT:SIM:CURR:LIM:EOC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BATTERY_SIMULATOR_CURRENT_LIMIT_END_OF_DISCHARGE =
  {
    RSNGX_ATTR_BATTERY_SIMULATOR_CURRENT_LIMIT_END_OF_DISCHARGE,
    "Battery Simulator Current Limit End Of Discharge",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BATT:SIM:CURR:LIM:EOD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BATTERY_SIMULATOR_CURRENT_LIMIT_REGULAR_CHARGE_LEVEL =
  {
    RSNGX_ATTR_BATTERY_SIMULATOR_CURRENT_LIMIT_REGULAR_CHARGE_LEVEL,
    "Battery Simulator Current Limit Regular Charge Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BATT:SIM:CURR:LIM:REG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BATTERY_MODEL_CURRENT_LIMIT_END_OF_CHARGE =
  {
    RSNGX_ATTR_BATTERY_MODEL_CURRENT_LIMIT_END_OF_CHARGE,
    "Battery Model Current Limit End Of Charge",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsNgx_rngBatteryModelCurrentLimitEndOfCharge, NULL,
    "BATT:MOD:CURR:LIM:EOC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.001,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BATTERY_MODEL_CURRENT_LIMIT_END_OF_DISCHARGE =
  {
    RSNGX_ATTR_BATTERY_MODEL_CURRENT_LIMIT_END_OF_DISCHARGE,
    "Battery Model Current Limit End Of Discharge",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsNgx_rngBatteryModelCurrentLimitEndOfDischarge, NULL,
    "BATT:MOD:CURR:LIM:EOD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.001,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BATTERY_MODEL_CURRENT_LIMIT_REGULAR_CHARGE_LEVEL =
  {
    RSNGX_ATTR_BATTERY_MODEL_CURRENT_LIMIT_REGULAR_CHARGE_LEVEL,
    "Battery Model Current Limit Regular Charge Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsNgx_rngBatteryModelCurrentLimitRegularChargeLevel, NULL,
    "BATT:MOD:CURR:LIM:REG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.001,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_DISPLAY_BRIGHTNESS =
  {
    RSNGX_ATTR_DISPLAY_BRIGHTNESS,
    "Brightness",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsNgx_rngDisplayBrightness, NULL,
    "DISP:BRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_DISPLAY_FRONT_PANEL_KEY_BRIGHTNESS =
  {
    RSNGX_ATTR_DISPLAY_FRONT_PANEL_KEY_BRIGHTNESS,
    "Front Panel Key Brightness",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsNgx_rngFrontPanelKeyBrightness, NULL,
    "SYST:KEY:BRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_DISPLAY_CLEAR =
  {
    RSNGX_ATTR_DISPLAY_CLEAR,
    "Clear",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:TEXT:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_DISPLAY_TEXT =
  {
    RSNGX_ATTR_DISPLAY_TEXT,
    "Text",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DISP:TEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "instrument",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_TRIGGER_ENABLED =
  {
    RSNGX_ATTR_TRIGGER_ENABLED,
    "Trigger Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_TRIGGER_SOURCE =
  {
    RSNGX_ATTR_TRIGGER_SOURCE,
    "Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngTriggerSource, NULL, NULL,
    "TRIG:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_TRIGGER_SOURCE_OPERATION_MODES,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_TRIGGER_OUTPUT_CHANNEL =
  {
    RSNGX_ATTR_TRIGGER_OUTPUT_CHANNEL,
    "Trigger Output Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngOutputChannel, NULL, NULL,
    "TRIG:SOUR:OUTP:CHAN",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_CHANNEL_OUT1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_TRIGGER_OPERATION_MODE =
  {
    RSNGX_ATTR_TRIGGER_OPERATION_MODE,
    "Trigger Operation Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngTriggerOperationMode, NULL, NULL,
    "TRIG:SOUR:OMOD",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_TRIGGER_OPERATION_MODE_CC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_TRIGGER_OPERATION_MODE_CHANNEL =
  {
    RSNGX_ATTR_TRIGGER_OPERATION_MODE_CHANNEL,
    "Trigger Operation Mode Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngOutputChannel, NULL, NULL,
    "TRIG:SOUR:OMOD:CHAN",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_CHANNEL_OUT1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_TRIGGER_DIO_PIN =
  {
    RSNGX_ATTR_TRIGGER_DIO_PIN,
    "Trigger DIO Pin",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngTriggerDIOPin, NULL, NULL,
    "TRIG:SOUR:DIO:PIN",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_TRIGGER_DIO_PIN_IN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_TRIGGER_DIO_CHANNEL =
  {
    RSNGX_ATTR_TRIGGER_DIO_CHANNEL,
    "Trigger DIO Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngOutputChannel, NULL, NULL,
    "TRIG:SOUR:DIO:CHAN",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_CHANNEL_OUT1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_TRIGGER_SLOPE =
  {
    RSNGX_ATTR_TRIGGER_SLOPE,
    "Trigger Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngTriggerSlope, NULL, NULL,
    "TRIG:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_POS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_TRIGGER_SEND_SOFTWARE_TRIGGER =
  {
    RSNGX_ATTR_TRIGGER_SEND_SOFTWARE_TRIGGER,
    "Trigger Send Software Trigger",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "*TRG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_DIGITAL_IO_TRIGGER_ENABLED =
  {
    RSNGX_ATTR_DIGITAL_IO_TRIGGER_ENABLED,
    "Digital IO Trigger Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngEnabled, NULL, NULL,
    "TRIG:GEN",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_DISABLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    "K103",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_DIGITAL_IO_TRIGGER_LINE_ENABLED =
  {
    RSNGX_ATTR_DIGITAL_IO_TRIGGER_LINE_ENABLED,
    "Digital IO Trigger Line Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngEnabled, NULL, NULL,
    "TRIG:DIO{Line}",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_ENABLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NGP",
    "K103",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_DIGITAL_IO_TRIGGER_LINE_DIRECTION =
  {
    RSNGX_ATTR_DIGITAL_IO_TRIGGER_LINE_DIRECTION,
    "Digital IO Trigger Line Direction",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngDigitalIOTriggerDirection, NULL, NULL,
    "TRIG:DIR:DIO{Line}",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_LINE_DIR_OUTPUT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NGP",
    "K103",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_HIDDEN_DIGITAL_IO_TRIGGER_LINE_MODE =
  {
    RSNGX_ATTR_HIDDEN_DIGITAL_IO_TRIGGER_LINE_MODE,
    "Hidden Digital IO Trigger Line Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "TRIG:COND:DIO{Line}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "OUTP",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_DIGITAL_IO_TRIGGER_LINE_CHANNEL =
  {
    RSNGX_ATTR_DIGITAL_IO_TRIGGER_LINE_CHANNEL,
    "Digital IO Trigger Line Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngDigitalIOTriggerLineChannel, NULL, NULL,
    "TRIG:CHAN:DIO{Line}",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_TRIGGER_LINE_CHANNEL_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NGP",
    "K103",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_DIGITAL_IO_TRIGGER_LINE_LOGIC =
  {
    RSNGX_ATTR_DIGITAL_IO_TRIGGER_LINE_LOGIC,
    "Digital IO Trigger Line Logic",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngDigitalIOTriggerLineLogic, NULL, NULL,
    "TRIG:LOG:DIO{Line}",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_DIGITAL_TRIGGER_LINE_LOGIC_LOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NGP",
    "K103",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_DIGITAL_IO_TRIGGER_LINE_DIO_ENABLED =
  {
    RSNGX_ATTR_DIGITAL_IO_TRIGGER_LINE_DIO_ENABLED,
    "Digital IO Trigger Line DIO Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngEnabled, NULL, NULL,
    "TRIG:SEL:DIO{Line}",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_ENABLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NGP",
    "K103",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SAVE =
  {
    RSNGX_ATTR_SAVE,
    "Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "*SAV",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_RECALL =
  {
    RSNGX_ATTR_RECALL,
    "Recall",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "*RCL",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_BEEPER_ENABLED =
  {
    RSNGX_ATTR_BEEPER_ENABLED,
    "Sound Beeper Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:BEEP:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SOUND_CC_MODE_CONTINUOUS_BEEP_ENABLED =
  {
    RSNGX_ATTR_SOUND_CC_MODE_CONTINUOUS_BEEP_ENABLED,
    "Sound CC Mode Continuous Beep Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngEnabled, NULL, NULL,
    "SYST:BEEP:CURR:STAT",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_ENABLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SOUND_PROTECTION_TRIPPED_BEEP_ENABLED =
  {
    RSNGX_ATTR_SOUND_PROTECTION_TRIPPED_BEEP_ENABLED,
    "Sound Protection Tripped Beep Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngEnabled, NULL, NULL,
    "SYST:BEEP:PROT:STAT",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_ENABLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SOUND_BEEP =
  {
    RSNGX_ATTR_SOUND_BEEP,
    "Sound Beep",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:BEEP:PROT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SOUND_WARNING_BEEP_ENABLED =
  {
    RSNGX_ATTR_SOUND_WARNING_BEEP_ENABLED,
    "Sound Warning Beep Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:BEEP:WARN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGL|NGM|NGP|NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SOUND_WARNING_BEEP_IMMEDIATE =
  {
    RSNGX_ATTR_SOUND_WARNING_BEEP_IMMEDIATE,
    "Sound Warning Beep Immediate",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:BEEP:WARN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGL|NGM|NGP|NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SOUND_COMPLETE_BEEP_ENABLED =
  {
    RSNGX_ATTR_SOUND_COMPLETE_BEEP_ENABLED,
    "Sound Complete Beep Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:BEEP:COMP:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGL|NGM|NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SOUND_COMPLETE_BEEP_IMMEDIATE =
  {
    RSNGX_ATTR_SOUND_COMPLETE_BEEP_IMMEDIATE,
    "Sound Complete Beep Immediate",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:BEEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGL|NGM|NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SOUND_OUTPUT_BEEP_ENABLED =
  {
    RSNGX_ATTR_SOUND_OUTPUT_BEEP_ENABLED,
    "Sound Output Beep Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:BEEP:OUTP:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_IMAGE_WIDTH =
  {
    RSNGX_ATTR_IMAGE_WIDTH,
    "Image Width",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "HCOP:SIZE:X?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_IMAGE_HEIGHT =
  {
    RSNGX_ATTR_IMAGE_HEIGHT,
    "Image Height",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "HCOP:SIZE:Y?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SELF_TEST_QUERY =
  {
    RSNGX_ATTR_SELF_TEST_QUERY,
    "Self-Test Query",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "*TST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SYSTEM_ERROR =
  {
    RSNGX_ATTR_SYSTEM_ERROR,
    "System Error",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_ID_QUERY_RESPONSE =
  {
    RSNGX_ATTR_ID_QUERY_RESPONSE,
    "ID Query Response",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "*IDN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz,NRP8S,Simulated,1.0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_LOGGING =
  {
    RSNGX_ATTR_LOGGING,
    "Logging",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "no_command",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsngx_logging_ReadCallback,
    rsngx_logging_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SYSTEM_SAVE_SETTINGS_FILE =
  {
    RSNGX_ATTR_SYSTEM_SAVE_SETTINGS_FILE,
    "System Save Settings File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:SETT:DEF:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filePath",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SYSTEM_RESTART =
  {
    RSNGX_ATTR_SYSTEM_RESTART,
    "System Restart",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:REST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SYSTEM_UPTIME =
  {
    RSNGX_ATTR_SYSTEM_UPTIME,
    "System Uptime",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SYST:UPT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SYSTEM_LOCAL =
  {
    RSNGX_ATTR_SYSTEM_LOCAL,
    "System Local",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:LOC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SYSTEM_REMOTE =
  {
    RSNGX_ATTR_SYSTEM_REMOTE,
    "System Remote",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:REM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SYSTEM_RWLOCK =
  {
    RSNGX_ATTR_SYSTEM_RWLOCK,
    "System RWLock",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:RWL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SYSTEM_TOUCH_ENABLED =
  {
    RSNGX_ATTR_SYSTEM_TOUCH_ENABLED,
    "System Touch Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngEnabled, NULL, NULL,
    "SYST:TOUC",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_ENABLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_GPIB_INTERFACE_INFO =
  {
    RSNGX_ATTR_GPIB_INTERFACE_INFO,
    "GPIB Interface Info",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:INT:GPIB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "gpib",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_AVAILABLE_SYSTEM_INTERFACE =
  {
    RSNGX_ATTR_AVAILABLE_SYSTEM_INTERFACE,
    "Available System Interface",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:INT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "GPIB",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_INTERFACE_USB_CLASS =
  {
    RSNGX_ATTR_INTERFACE_USB_CLASS,
    "Interface USB Class",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngInterfaceUSBClass, NULL, NULL,
    "INT:USB:CLAS",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_INTERFACE_USB_CLASS_CDC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SOCKET_DHCP_ENABLED =
  {
    RSNGX_ATTR_SOCKET_DHCP_ENABLED,
    "Socket DHCP Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngEnabled, NULL, NULL,
    "SYST:COMM:SOCK:DHCP",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_ENABLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SOCKET_IP_ADDRESS =
  {
    RSNGX_ATTR_SOCKET_IP_ADDRESS,
    "Socket IP Address",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:SOCK:IPAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "192.168.5.209",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SOCKET_GATEWAY =
  {
    RSNGX_ATTR_SOCKET_GATEWAY,
    "Socket Gateway",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:SOCK:GAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "192.168.5.1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SOCKET_MASK =
  {
    RSNGX_ATTR_SOCKET_MASK,
    "Socket Mask",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:SOCK:MASK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "255.255.255.0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SOCKET_APPLY =
  {
    RSNGX_ATTR_SOCKET_APPLY,
    "Socket Apply",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:COMM:SOCK:APPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SOCKET_DISCARD =
  {
    RSNGX_ATTR_SOCKET_DISCARD,
    "Socket Discard",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:COMM:SOCK:DISC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_SOCKET_RESET =
  {
    RSNGX_ATTR_SOCKET_RESET,
    "Socket Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:COMM:SOCK:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_LAN_DHCP_ENABLED =
  {
    RSNGX_ATTR_LAN_DHCP_ENABLED,
    "LAN DHCP Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:COMM:LAN:DHCP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGL|NGM|NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_LAN_IP_ADDRESS =
  {
    RSNGX_ATTR_LAN_IP_ADDRESS,
    "LAN IP Address",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:LAN:ADDR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "192.168.0.0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGL|NGM|NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_LAN_MAC_ADDRESS =
  {
    RSNGX_ATTR_LAN_MAC_ADDRESS,
    "LAN MAC Address",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:LAN:MAC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGL|NGM|NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_LAN_HOSTNAME =
  {
    RSNGX_ATTR_LAN_HOSTNAME,
    "LAN Hostname",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:LAN:HOST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "localhost",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGL|NGM|NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_LAN_DEFAULT_GATEWAY =
  {
    RSNGX_ATTR_LAN_DEFAULT_GATEWAY,
    "LAN Default Gateway",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:LAN:DGAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "192.168.1.1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGL|NGM|NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_LAN_EDITED_MODE =
  {
    RSNGX_ATTR_LAN_EDITED_MODE,
    "LAN Edited Mode",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:COMM:LAN:EDIT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGL|NGM|NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_LAN_MASK =
  {
    RSNGX_ATTR_LAN_MASK,
    "LAN Mask",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:LAN:SMAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "255.255.255.0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGL|NGM|NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_LAN_APPLY =
  {
    RSNGX_ATTR_LAN_APPLY,
    "LAN Apply",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:COMM:LAN:APPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGL|NGM|NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_LAN_DISCARD =
  {
    RSNGX_ATTR_LAN_DISCARD,
    "LAN Discard",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:COMM:LAN:DISC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGL|NGM|NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_LAN_RESET =
  {
    RSNGX_ATTR_LAN_RESET,
    "LAN Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:COMM:LAN:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGL|NGM|NGU",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_WLAN_ENABLED =
  {
    RSNGX_ATTR_WLAN_ENABLED,
    "WLAN Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngEnabled, NULL, NULL,
    "SYST:COMM:WLAN",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_DISABLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    "K102",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_WLAN_CONNECTION_ENABLED =
  {
    RSNGX_ATTR_WLAN_CONNECTION_ENABLED,
    "WLAN Connection Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngEnabled, NULL, NULL,
    "SYST:COMM:WLAN:CONN",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_ENABLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    "K102",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_WLAN_SSID =
  {
    RSNGX_ATTR_WLAN_SSID,
    "WLAN SSID",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:WLAN:SSID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "SSID",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    "K102",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_WLAN_PASSWORD =
  {
    RSNGX_ATTR_WLAN_PASSWORD,
    "WLAN Password",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:WLAN:PASS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1234WhatElse:-)",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    "K102",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_WLAN_DHCP_ENABLED =
  {
    RSNGX_ATTR_WLAN_DHCP_ENABLED,
    "WLAN DHCP Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsNgx_rngEnabled, NULL, NULL,
    "SYST:COMM:WLAN:DHCP",
    // Defaults I32, I64, Float, Bool, String
    RSNGX_VAL_ENABLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    "K102",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_WLAN_IP_ADDRESS =
  {
    RSNGX_ATTR_WLAN_IP_ADDRESS,
    "WLAN IP Address",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:WLAN:IPAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "192.168.1.2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    "K102",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_WLAN_GATEWAY =
  {
    RSNGX_ATTR_WLAN_GATEWAY,
    "WLAN Gateway",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:WLAN:GAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "192.168.1.1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_WLAN_MASK =
  {
    RSNGX_ATTR_WLAN_MASK,
    "WLAN Mask",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:WLAN:MASK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "255.255.255.0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    "K102",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_WLAN_APPLY =
  {
    RSNGX_ATTR_WLAN_APPLY,
    "WLAN Apply",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:COMM:WLAN:APPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    "K102",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_VNC_ENABLED =
  {
    RSNGX_ATTR_VNC_ENABLED,
    "VNC Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:VNC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_VNC_PORT =
  {
    RSNGX_ATTR_VNC_PORT,
    "VNC Port",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:VNC:PORT",
    // Defaults I32, I64, Float, Bool, String
    5000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_VNC_ENABLED_NGP =
  {
    RSNGX_ATTR_VNC_ENABLED_NGP,
    "VNC Enabled NGP",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:VNC:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSNGX_ATTR_VNC_PORT_NGP =
  {
    RSNGX_ATTR_VNC_PORT_NGP,
    "VNC Port NGP",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:VNC:PORT",
    // Defaults I32, I64, Float, Bool, String
    5000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NGP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };


/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/

ViInt32 rsngx_RsCoreAttributeListLength = 318;

RsCoreAttributePtr rsngx_RsCoreAttributeList[318] =
  {
    &g_RS_ATTR_RANGE_CHECK,
    &g_RS_ATTR_QUERY_INSTRUMENT_STATUS,
    &g_RS_ATTR_SIMULATE,
    &g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    &g_RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    &g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_REVISION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    &g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    &g_RS_ATTR_GROUP_CAPABILITIES,
    &g_RS_ATTR_FUNCTION_CAPABILITIES,
    &g_RS_ATTR_CHANNEL_COUNT,
    &g_RS_ATTR_DRIVER_SETUP,
    &g_RS_ATTR_INSTRUMENT_MANUFACTURER,
    &g_RS_ATTR_INSTRUMENT_MODEL,
    &g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    &g_RS_ATTR_OPTIONS_LIST,
    &g_RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    &g_RS_ATTR_LOGICAL_NAME,
    &g_RS_ATTR_PRIMARY_ERROR,
    &g_RS_ATTR_SECONDARY_ERROR,
    &g_RS_ATTR_ERROR_ELABORATION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_MAJOR_VERSION,
    &g_RS_ATTR_ENGINE_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_REVISION,
    &g_RS_ATTR_OPC_TIMEOUT,
    &g_RSNGX_ATTR_SELECT_CHANNEL,
    &g_RSNGX_ATTR_HIDDEN_READ_VOLTAGE_CURRENT_PAIR,
    &g_RSNGX_ATTR_RESET_PROTECTION_TRIPPED_STATE,
    &g_RSNGX_ATTR_RESET_VOLTAGE_TRIPPED_STATE,
    &g_RSNGX_ATTR_VOLTAGE_TRIPPED_STATE,
    &g_RSNGX_ATTR_SOURCE_PRIORITY_MODE,
    &g_RSNGX_ATTR_MODULATION_ENABLED,
    &g_RSNGX_ATTR_MODULATION_GAIN,
    &g_RSNGX_ATTR_MODULATION_GAIN_VALUE,
    &g_RSNGX_ATTR_NUMBER_OF_POWER_LINE_CYCLES,
    &g_RSNGX_ATTR_VOLTAGE_LEVEL,
    &g_RSNGX_ATTR_VOLTAGE_LEVEL_UP,
    &g_RSNGX_ATTR_VOLTAGE_LEVEL_DOWN,
    &g_RSNGX_ATTR_VOLTAGE_STEP_SIZE,
    &g_RSNGX_ATTR_VOLTAGE_RANGE,
    &g_RSNGX_ATTR_VOLTAGE_SAFETY_LIMIT_ENABLED,
    &g_RSNGX_ATTR_VOLTAGE_SAFETY_LIMIT_LOWER,
    &g_RSNGX_ATTR_VOLTAGE_SAFETY_LIMIT_UPPER,
    &g_RSNGX_ATTR_VOLTAGE_CURRENT_NEGATIVE,
    &g_RSNGX_ATTR_VOLTAGE_CURRENT_NEGATIVE_VALUE,
    &g_RSNGX_ATTR_VOLTAGE_NEGATIVE,
    &g_RSNGX_ATTR_VOLTAGE_NEGATIVE_VALUE,
    &g_RSNGX_ATTR_CURRENT_LEVEL,
    &g_RSNGX_ATTR_CURRENT_STEP_SIZE,
    &g_RSNGX_ATTR_CURRENT_LEVEL_UP,
    &g_RSNGX_ATTR_CURRENT_LEVEL_DOWN,
    &g_RSNGX_ATTR_CURRENT_RANGE,
    &g_RSNGX_ATTR_CURRENT_SAFETY_LIMIT_LOWER,
    &g_RSNGX_ATTR_CURRENT_SAFETY_LIMIT_UPPER,
    &g_RSNGX_ATTR_RESISTANCE_ENABLED,
    &g_RSNGX_ATTR_RESISTANCE_LEVEL,
    &g_RSNGX_ATTR_OUTPUT_ALL_ENABLED,
    &g_RSNGX_ATTR_OUTPUT_ENABLED,
    &g_RSNGX_ATTR_OUTPUT_SELECTED_CHANNEL_ENABLED,
    &g_RSNGX_ATTR_OUTPUT_DELAY_ENABLED,
    &g_RSNGX_ATTR_OUTPUT_DELAY_DURATION,
    &g_RSNGX_ATTR_OUTPUT_FAST_TRANSIENT_RESPONSE_ENABLED,
    &g_RSNGX_ATTR_OUTPUT_REDUCED_SLEW_RATE_ENABLED,
    &g_RSNGX_ATTR_OUTPUT_IMPEDANCE_ENABLED,
    &g_RSNGX_ATTR_OUTPUT_IMPEDANCE,
    &g_RSNGX_ATTR_OUTPUT_CAPACITANCE_MODE,
    &g_RSNGX_ATTR_OUTPUT_MODE,
    &g_RSNGX_ATTR_OUTPUT_TRIGGER_ENABLED,
    &g_RSNGX_ATTR_OUTPUT_TRIGGERED_BEHAVIOR,
    &g_RSNGX_ATTR_OUTPUT_REMOTE_SENSE_DETECTION,
    &g_RSNGX_ATTR_OUTPUT_QUERY_REMOTE_SENSE_DETECTION,
    &g_RSNGX_ATTR_DVM_MEASUREMENT_ENABLED,
    &g_RSNGX_ATTR_VOLTAGE_AUTORANGE_ENABLED,
    &g_RSNGX_ATTR_SELECT_VOLTAGE_RANGE,
    &g_RSNGX_ATTR_CURRENT_AUTORANGE_ENABLED,
    &g_RSNGX_ATTR_CURRENT_AUTORANGE_MINIMUM,
    &g_RSNGX_ATTR_CURRENT_AUTORANGE_OVER_APPROACH,
    &g_RSNGX_ATTR_CURRENT_AUTORANGE_UPPER_THRESHOLD,
    &g_RSNGX_ATTR_CURRENT_AUTORANGE_LOWER_THRESHOLD,
    &g_RSNGX_ATTR_SELECT_CURRENT_RANGE,
    &g_RSNGX_ATTR_OCP_ENABLED,
    &g_RSNGX_ATTR_OCP_RESET,
    &g_RSNGX_ATTR_OCP_INITIAL_DELAY,
    &g_RSNGX_ATTR_OCP_DELAY,
    &g_RSNGX_ATTR_OCP_LINK,
    &g_RSNGX_ATTR_OCP_UNLINK,
    &g_RSNGX_ATTR_OCP_TRIPPED,
    &g_RSNGX_ATTR_OCP_FUSE_ENABLED,
    &g_RSNGX_ATTR_OCP_FUSE_DELAY_TIME,
    &g_RSNGX_ATTR_OCP_FUSE_DELAY_AT_OUTPUT_ON,
    &g_RSNGX_ATTR_OCP_FUSE_LINK,
    &g_RSNGX_ATTR_OCP_LINKED_FUSES_LIST,
    &g_RSNGX_ATTR_OCP_FUSE_UNLINK,
    &g_RSNGX_ATTR_OCP_FUSE_IS_TRIPPED,
    &g_RSNGX_ATTR_OCP_FUSE_RESET,
    &g_RSNGX_ATTR_OVP_ENABLED,
    &g_RSNGX_ATTR_OVP_RESET,
    &g_RSNGX_ATTR_OVP_LEVEL,
    &g_RSNGX_ATTR_OVP_TRIPPED,
    &g_RSNGX_ATTR_OPP_ENABLED,
    &g_RSNGX_ATTR_OPP_RESET,
    &g_RSNGX_ATTR_OPP_LEVEL,
    &g_RSNGX_ATTR_OPP_TRIPPED,
    &g_RSNGX_ATTR_TRACKING_ENABLED,
    &g_RSNGX_ATTR_TRACKING_CHANNEL_ENABLED,
    &g_RSNGX_ATTR_TRACKING_CHANNEL_SOFT_ENABLED,
    &g_RSNGX_ATTR_MEAS_VOLTAGE,
    &g_RSNGX_ATTR_MEAS_VOLTAGE_DVM,
    &g_RSNGX_ATTR_MEASUREMENT_VOLTAGE_AVG,
    &g_RSNGX_ATTR_MEASUREMENT_VOLTAGE_MAX,
    &g_RSNGX_ATTR_MEASUREMENT_VOLTAGE_MIN,
    &g_RSNGX_ATTR_MEAS_CURRENT,
    &g_RSNGX_ATTR_MEASUREMENT_CURRENT_AVG,
    &g_RSNGX_ATTR_MEASUREMENT_CURRENT_MAX,
    &g_RSNGX_ATTR_MEASUREMENT_CURRENT_MIN,
    &g_RSNGX_ATTR_MEAS_POWER,
    &g_RSNGX_ATTR_MEASUREMENT_POWER_AVG,
    &g_RSNGX_ATTR_MEASUREMENT_POWER_MAX,
    &g_RSNGX_ATTR_MEASUREMENT_POWER_MIN,
    &g_RSNGX_ATTR_MEAS_ENERGY,
    &g_RSNGX_ATTR_MEASUREMENT_RESET_STATISTICS,
    &g_RSNGX_ATTR_MEASUREMENT_COUNT,
    &g_RSNGX_ATTR_MEAS_LOG_ENABLED,
    &g_RSNGX_ATTR_MEAS_LOG_MODE,
    &g_RSNGX_ATTR_MEAS_LOG_COUNT,
    &g_RSNGX_ATTR_MEAS_LOG_DURATION,
    &g_RSNGX_ATTR_MEAS_LOG_INTERVAL,
    &g_RSNGX_ATTR_LOG_LOCATION,
    &g_RSNGX_ATTR_MEAS_LOG_TRIGGERED,
    &g_RSNGX_ATTR_HIDDEN_LOG_DATA,
    &g_RSNGX_ATTR_MEAS_LOG_DELETE,
    &g_RSNGX_ATTR_MEAS_LOG_READ_DATA_CATALOG,
    &g_RSNGX_ATTR_FAST_LOG_ENABLED,
    &g_RSNGX_ATTR_FAST_LOG_TRIGGERED,
    &g_RSNGX_ATTR_FAST_LOG_WRITE_TO,
    &g_RSNGX_ATTR_FAST_LOG_SAMPLE_RATE,
    &g_RSNGX_ATTR_FAST_LOG_WRITE_DURATION,
    &g_RSNGX_ATTR_FAST_LOG_PARTITION,
    &g_RSNGX_ATTR_FAST_LOG_SAMPLE_TIME,
    &g_RSNGX_ATTR_FAST_LOG_EXTERNAL_FILE_ENABLED,
    &g_RSNGX_ATTR_FAST_LOG_EXTERNAL_FILE_DURATION,
    &g_RSNGX_ATTR_FAST_LOG_EXTERNAL_FILE_PARTITION,
    &g_RSNGX_ATTR_FAST_LOG_TARGET,
    &g_RSNGX_ATTR_MEAS_ENERGY_COUNTER_ENABLED,
    &g_RSNGX_ATTR_MEAS_ENERGY_COUNTER_RESET,
    &g_RSNGX_ATTR_ENERGY_COUNTER_UNIT,
    &g_RSNGX_ATTR_ARBITRARY_ENABLED,
    &g_RSNGX_ATTR_ARBITRARY_ENDPOINT_BEHAVIOR,
    &g_RSNGX_ATTR_ARBITRARY_CLEAR,
    &g_RSNGX_ATTR_ARBITRARY_PRIORITY_MODE,
    &g_RSNGX_ATTR_HIDDEN_ARBITRARY_DATA,
    &g_RSNGX_ATTR_ARBITRARY_REPETITION_RATE,
    &g_RSNGX_ATTR_ARBITRARY_TRANSFER_TABLE,
    &g_RSNGX_ATTR_ARBITRARY_TRIGGER_INPUT_ENABLED,
    &g_RSNGX_ATTR_ARBITRARY_TRIGGER_GROUP_CHANNEL,
    &g_RSNGX_ATTR_ARBITRARY_TRIGGER_POINT_CHANNEL,
    &g_RSNGX_ATTR_ARBITRARY_TRIGGER_MODE,
    &g_RSNGX_ATTR_ARBITRARY_SAVE_TABLE,
    &g_RSNGX_ATTR_ARBITRARY_LOAD_TABLE,
    &g_RSNGX_ATTR_ARBITRARY_RESTORE,
    &g_RSNGX_ATTR_ARBITRARY_START,
    &g_RSNGX_ATTR_ARBITRARY_STOP,
    &g_RSNGX_ATTR_ARBITRARY_BLOCK_SELECTED,
    &g_RSNGX_ATTR_ARBITRARY_BLOCK_CLEAR_FILE,
    &g_RSNGX_ATTR_ARBITRARY_BLOCK_REPETITION_RATE,
    &g_RSNGX_ATTR_ARBITRARY_BLOCK_NUMBER_OF_DATA_POINTS,
    &g_RSNGX_ATTR_ARBITRARY_SEQUENCE_CLEAR,
    &g_RSNGX_ATTR_ARBITRARY_SEQUENCE_ENDPOINT_BEHAVIOR,
    &g_RSNGX_ATTR_ARBITRARY_SEQUENCE_NUMBER_OF_POINTS,
    &g_RSNGX_ATTR_ARBITRARY_SEQUENCE_TRANSFER_TABLE,
    &g_RSNGX_ATTR_ARBITRARY_SEQUENCE_REPETITION_RATE,
    &g_RSNGX_ATTR_RAMP_ENABLED,
    &g_RSNGX_ATTR_RAMP_DURATION,
    &g_RSNGX_ATTR_ANALOG_INPUT_ENABLED,
    &g_RSNGX_ATTR_ANALOG_INPUT_TYPE,
    &g_RSNGX_ATTR_ANALOG_INPUT_TRIGGERED_CONDITION_ENABLED,
    &g_RSNGX_ATTR_ANALOG_INPUT_TRIGGER_PIN,
    &g_RSNGX_ATTR_QUERY_ANALOG_INPUT_TRIGGER_PIN,
    &g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_STATE,
    &g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_DATE,
    &g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_COUNT,
    &g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_START,
    &g_RSNGX_ATTR_QUERY_ANALOG_IN_ADJUSTMENT_START,
    &g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_VALUE,
    &g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_HIGH_VOLTAGE,
    &g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_LOW_VOLTAGE,
    &g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_END,
    &g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_CANCEL,
    &g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_SAVE,
    &g_RSNGX_ATTR_ANALOG_IN_ADJUSTMENT_FACTORY_RESTORE,
    &g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_STATE,
    &g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_DATE,
    &g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_COUNT,
    &g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_TEMPERATURE,
    &g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_START,
    &g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_CURRENT_VALUE,
    &g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_CURRENT_MAX,
    &g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_CURRENT_MIN,
    &g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_VOLTAGE_VALUE,
    &g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_VOLTAGE_MAX,
    &g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_VOLTAGE_MIN,
    &g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_END,
    &g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_CANCEL,
    &g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_SAVE,
    &g_RSNGX_ATTR_CHANNEL_ADJUSTMENT_FACTORY_RESTORE,
    &g_RSNGX_ATTR_DIGITAL_IO_FAULT_CHANNEL,
    &g_RSNGX_ATTR_DIGITAL_IO_FAULT_ENABLED,
    &g_RSNGX_ATTR_DIGITAL_IO_FAULT_MODE,
    &g_RSNGX_ATTR_DIGITAL_IO_FAULT_SIGNAL,
    &g_RSNGX_ATTR_BATTERY_SIMULATOR_ENABLED,
    &g_RSNGX_ATTR_BATTERY_SIMULATOR_RESET_MODEL,
    &g_RSNGX_ATTR_BATTERY_SIMULATOR_LOAD_MODEL,
    &g_RSNGX_ATTR_BATTERY_SIMULATOR_SAVE_MODEL,
    &g_RSNGX_ATTR_BATTERY_SIMULATOR_TRANSFER_MODEL,
    &g_RSNGX_ATTR_BATTERY_SIMULATOR_INITIAL_SOC,
    &g_RSNGX_ATTR_BATTERY_SIMULATOR_FULL_CAPACITY,
    &g_RSNGX_ATTR_BATTERY_SIMULATOR_REMAINING_CAPACITY,
    &g_RSNGX_ATTR_BATTERY_SIMULATOR_QUERY_STATUS,
    &g_RSNGX_ATTR_BATTERY_SIMULATOR_CURRENT,
    &g_RSNGX_ATTR_BATTERY_SIMULATOR_INTERNAL_RESISTANCE,
    &g_RSNGX_ATTR_BATTERY_SIMULATOR_STATE_OF_CHARGE,
    &g_RSNGX_ATTR_BATTERY_SIMULATOR_TERMINAL_VOLTAGE,
    &g_RSNGX_ATTR_BATTERY_SIMULATOR_VOC_EMPTY,
    &g_RSNGX_ATTR_BATTERY_SIMULATOR_VOC_FULL,
    &g_RSNGX_ATTR_BATTERY_SIMULATOR_VOC,
    &g_RSNGX_ATTR_BATTERY_SIMULATOR_MODEL_CAPACITY,
    &g_RSNGX_ATTR_BATTERY_SIMULATOR_CURRENT_LIMIT,
    &g_RSNGX_ATTR_BATTERY_SIMULATOR_CURRENT_LIMIT_END_OF_CHARGE,
    &g_RSNGX_ATTR_BATTERY_SIMULATOR_CURRENT_LIMIT_END_OF_DISCHARGE,
    &g_RSNGX_ATTR_BATTERY_SIMULATOR_CURRENT_LIMIT_REGULAR_CHARGE_LEVEL,
    &g_RSNGX_ATTR_BATTERY_MODEL_CURRENT_LIMIT_END_OF_CHARGE,
    &g_RSNGX_ATTR_BATTERY_MODEL_CURRENT_LIMIT_END_OF_DISCHARGE,
    &g_RSNGX_ATTR_BATTERY_MODEL_CURRENT_LIMIT_REGULAR_CHARGE_LEVEL,
    &g_RSNGX_ATTR_DISPLAY_BRIGHTNESS,
    &g_RSNGX_ATTR_DISPLAY_FRONT_PANEL_KEY_BRIGHTNESS,
    &g_RSNGX_ATTR_DISPLAY_CLEAR,
    &g_RSNGX_ATTR_DISPLAY_TEXT,
    &g_RSNGX_ATTR_TRIGGER_ENABLED,
    &g_RSNGX_ATTR_TRIGGER_SOURCE,
    &g_RSNGX_ATTR_TRIGGER_OUTPUT_CHANNEL,
    &g_RSNGX_ATTR_TRIGGER_OPERATION_MODE,
    &g_RSNGX_ATTR_TRIGGER_OPERATION_MODE_CHANNEL,
    &g_RSNGX_ATTR_TRIGGER_DIO_PIN,
    &g_RSNGX_ATTR_TRIGGER_DIO_CHANNEL,
    &g_RSNGX_ATTR_TRIGGER_SLOPE,
    &g_RSNGX_ATTR_TRIGGER_SEND_SOFTWARE_TRIGGER,
    &g_RSNGX_ATTR_DIGITAL_IO_TRIGGER_ENABLED,
    &g_RSNGX_ATTR_DIGITAL_IO_TRIGGER_LINE_ENABLED,
    &g_RSNGX_ATTR_DIGITAL_IO_TRIGGER_LINE_DIRECTION,
    &g_RSNGX_ATTR_HIDDEN_DIGITAL_IO_TRIGGER_LINE_MODE,
    &g_RSNGX_ATTR_DIGITAL_IO_TRIGGER_LINE_CHANNEL,
    &g_RSNGX_ATTR_DIGITAL_IO_TRIGGER_LINE_LOGIC,
    &g_RSNGX_ATTR_DIGITAL_IO_TRIGGER_LINE_DIO_ENABLED,
    &g_RSNGX_ATTR_SAVE,
    &g_RSNGX_ATTR_RECALL,
    &g_RSNGX_ATTR_BEEPER_ENABLED,
    &g_RSNGX_ATTR_SOUND_CC_MODE_CONTINUOUS_BEEP_ENABLED,
    &g_RSNGX_ATTR_SOUND_PROTECTION_TRIPPED_BEEP_ENABLED,
    &g_RSNGX_ATTR_SOUND_BEEP,
    &g_RSNGX_ATTR_SOUND_WARNING_BEEP_ENABLED,
    &g_RSNGX_ATTR_SOUND_WARNING_BEEP_IMMEDIATE,
    &g_RSNGX_ATTR_SOUND_COMPLETE_BEEP_ENABLED,
    &g_RSNGX_ATTR_SOUND_COMPLETE_BEEP_IMMEDIATE,
    &g_RSNGX_ATTR_SOUND_OUTPUT_BEEP_ENABLED,
    &g_RSNGX_ATTR_IMAGE_WIDTH,
    &g_RSNGX_ATTR_IMAGE_HEIGHT,
    &g_RSNGX_ATTR_SELF_TEST_QUERY,
    &g_RSNGX_ATTR_SYSTEM_ERROR,
    &g_RSNGX_ATTR_ID_QUERY_RESPONSE,
    &g_RSNGX_ATTR_LOGGING,
    &g_RSNGX_ATTR_SYSTEM_SAVE_SETTINGS_FILE,
    &g_RSNGX_ATTR_SYSTEM_RESTART,
    &g_RSNGX_ATTR_SYSTEM_UPTIME,
    &g_RSNGX_ATTR_SYSTEM_LOCAL,
    &g_RSNGX_ATTR_SYSTEM_REMOTE,
    &g_RSNGX_ATTR_SYSTEM_RWLOCK,
    &g_RSNGX_ATTR_SYSTEM_TOUCH_ENABLED,
    &g_RSNGX_ATTR_GPIB_INTERFACE_INFO,
    &g_RSNGX_ATTR_AVAILABLE_SYSTEM_INTERFACE,
    &g_RSNGX_ATTR_INTERFACE_USB_CLASS,
    &g_RSNGX_ATTR_SOCKET_DHCP_ENABLED,
    &g_RSNGX_ATTR_SOCKET_IP_ADDRESS,
    &g_RSNGX_ATTR_SOCKET_GATEWAY,
    &g_RSNGX_ATTR_SOCKET_MASK,
    &g_RSNGX_ATTR_SOCKET_APPLY,
    &g_RSNGX_ATTR_SOCKET_DISCARD,
    &g_RSNGX_ATTR_SOCKET_RESET,
    &g_RSNGX_ATTR_LAN_DHCP_ENABLED,
    &g_RSNGX_ATTR_LAN_IP_ADDRESS,
    &g_RSNGX_ATTR_LAN_MAC_ADDRESS,
    &g_RSNGX_ATTR_LAN_HOSTNAME,
    &g_RSNGX_ATTR_LAN_DEFAULT_GATEWAY,
    &g_RSNGX_ATTR_LAN_EDITED_MODE,
    &g_RSNGX_ATTR_LAN_MASK,
    &g_RSNGX_ATTR_LAN_APPLY,
    &g_RSNGX_ATTR_LAN_DISCARD,
    &g_RSNGX_ATTR_LAN_RESET,
    &g_RSNGX_ATTR_WLAN_ENABLED,
    &g_RSNGX_ATTR_WLAN_CONNECTION_ENABLED,
    &g_RSNGX_ATTR_WLAN_SSID,
    &g_RSNGX_ATTR_WLAN_PASSWORD,
    &g_RSNGX_ATTR_WLAN_DHCP_ENABLED,
    &g_RSNGX_ATTR_WLAN_IP_ADDRESS,
    &g_RSNGX_ATTR_WLAN_GATEWAY,
    &g_RSNGX_ATTR_WLAN_MASK,
    &g_RSNGX_ATTR_WLAN_APPLY,
    &g_RSNGX_ATTR_VNC_ENABLED,
    &g_RSNGX_ATTR_VNC_PORT,
    &g_RSNGX_ATTR_VNC_ENABLED_NGP,
    &g_RSNGX_ATTR_VNC_PORT_NGP
  };
